import { connect } from 'react-redux';
import AppRoot from './AppRoot';
import { selectLang, getIntlFromBack } from './redux/language';
import getCurrentLanguage from './redux/language/language.selectors';

const mapStateToProps = (state: any) => ({
  authentification: state.authentication,
  lang: getCurrentLanguage(state),
});

const mapDispatchToProps = (dispatch: any) => ({
  selectLang: (lang: string) => dispatch(selectLang(lang)),
  getIntlFromBack: () => dispatch(getIntlFromBack()),
});

export default connect(
  mapStateToProps,
  mapDispatchToProps,
)(AppRoot);
