import React from 'react';
import { shallow } from 'enzyme';
import AppRoot from './AppRoot';
import AppHeader from './components/commons/header';
import Notifier from './components/commons/notifier';

describe('AppRoot', () => {
  it('Should generate the app header, Notifier and routes', () => {
    const props = {
      login: jest.fn(() => Promise.resolve()),
      authentification: {
        token: '',
        user: {
          roles: ['a'],
        },
      },
      lang: 'fr',
      selectLang: jest.fn(),
    };
    const wrapper = shallow(<AppRoot {...props} />);
    expect(wrapper.find(AppHeader).length).toBe(1);
    expect(wrapper.find(Notifier).length).toBe(1);
    expect(wrapper.find('Routes').length).toBe(1);
  });
});
