import React from 'react';
import { shallow } from 'enzyme';
import Providers from './Providers';
import IntlProvider from './providers/intl.provider';
import RouterProvider from './providers/router.provider';
import StoreProvider from './providers/store.provider';
import UiProvider from './providers/ui.provider';

describe('Providers', () => {
  it('Should generate the app', () => {
    const wrapper = shallow(<Providers />);
    expect(wrapper.find(IntlProvider).length).toEqual(1);
    expect(wrapper.find(RouterProvider).length).toEqual(1);
    expect(wrapper.find(StoreProvider).length).toEqual(1);
    expect(wrapper.find(UiProvider).length).toEqual(1);
    expect(wrapper.find('Route').length).toEqual(1);
  });
});
