import React, { FunctionComponent } from 'react';
import { Route } from 'react-router-dom';
import AppRoot from './AppRoot.container';
import IntlProvider from './providers/intl.provider';
import RouterProvider from './providers/router.provider';
import StoreProvider from './providers/store.provider';
import UiProvider from './providers/ui.provider';
import SnackBarsProvider from './providers/snackbar.provider';

const Providers: FunctionComponent = () => {
  return (
    <StoreProvider>
      <UiProvider>
        <IntlProvider>
          <RouterProvider>
            <SnackBarsProvider>
              <Route path="/" component={AppRoot} />
            </SnackBarsProvider>
          </RouterProvider>
        </IntlProvider>
      </UiProvider>
    </StoreProvider>
  );
};

export default Providers;
