import { connect } from 'react-redux';
import { withStyles } from '@material-ui/core/styles';

import SelectSupplierCard from './SelectSupplierCard.component';
import styles from './SelectSupplierCard.style';
import { selectSupplierEffect, unselectSupplierEffect } from '../../../redux/suppliers';

const mapStateToProps = (state: any) => {
  return {
    cardLabels: state.intl.messages.cards,
  };
};

const mapDispatchToProps = (dispatch: any) => {
  return {
    selectSupplierEffect: (payload: any) => dispatch(selectSupplierEffect(payload)),
    unselectSupplierEffect: (payload: any) => dispatch(unselectSupplierEffect(payload)),
  };
};

export default withStyles(styles)(
  connect(
    mapStateToProps,
    mapDispatchToProps,
  )(SelectSupplierCard),
);
