import { createStyles } from '@material-ui/core/styles';

const styles = () =>
  createStyles({
    cardContainer: {
      maxWidth: 270,
      height: 180,
      margin: 20,
      borderRadius: '8px',
    },
    unselectedCardBorder: {
      borderLeft: '8px solid #23558C',
    },
    selectedCardBorder: {
      borderLeft: '8px solid #9DC5FF',
    },
    dot: {
      height: 11,
      width: 11,
      borderRadius: ' 50%',
      display: 'inline-block',
      marginRight: 10,
      backgroundColor: '#bbb',
    },
    helpDot: {
      height: 18,
      width: 18,
      backgroundColor: '#bbb',
      borderRadius: ' 50%',
      display: 'inline-block',
      marginLeft: 10,
      textAlign: 'center',
      color: 'white',
    },
    titleRoot: {
      paddingBottom: 0,
    },
    titleContent: {
      textOverflow: 'ellipsis',
      overflow: 'hidden',
      whiteSpace: 'nowrap',
    },
    title: {
      fontSize: '21px',
      fontWeight: 'bold',
      lineHeight: '27px',
      color: '#333333',
      display: 'contents',
    },
    content: {
      display: 'flex',
      justifyContent: 'space-between',
      paddingBottom: 5,
      paddingRight: 30,
    },
    hr: {
      border: '1px solid #EEEEEE',
    },
    buttonsContainer: {
      justifyContent: 'flex-end',
      padding: '8px 25px',
    },
    infoTitle: {
      fontSize: '12px',
      lineHeight: '15px',
      color: '#CCCCCC',
      paddingBottom: 5,
    },
    infoValue: {
      fontSize: '14px',
      lineHeight: '18px',
      color: '#333333',
    },
    redBackgroung: {
      backgroundColor: ' #E60028',
    },
    greenBackgroung: {
      backgroundColor: '#00D23B',
    },
    orangeBackgroung: {
      backgroundColor: '#F5A623',
    },
  });

export default styles;
