import { connect } from 'react-redux';
import { withStyles } from '@material-ui/core/styles';

import SelectSupplierCard from './SelectedSupplierCard.component';
import styles from './SelectedSupplierCard.style';
import { unselectSupplierEffect } from '../../../redux/suppliers';

const mapStateToProps = (state: any) => {
  return {
    cardLabels: state.intl.messages.cards,
  };
};

const mapDispatchToProps = (dispatch: any) => {
  return {
    unselectSupplierEffect: (selectedSupplier: any) => dispatch(unselectSupplierEffect(selectedSupplier)),
  };
};

export default withStyles(styles)(
  connect(
    mapStateToProps,
    mapDispatchToProps,
  )(SelectSupplierCard),
);
