import { createStyles } from '@material-ui/core/styles';

const styles = () =>
  createStyles({
    headerContainer: {
      display: 'flex',
      justifyContent: 'space-between',
      padding: '10px 16px 0px',
    },
    cardContainer: {
      width: 293,
      minHeight: 100,
      margin: '10px 5px',
    },
    dot: {
      height: 11,
      width: 11,
      borderRadius: ' 50%',
      display: 'inline-block',
      marginLeft: 10,
      backgroundColor: '#bbb',
    },
    titleRoot: {
      padding: 0,
    },
    title: {
      height: 20,
      color: '#9B9B9B',
      fontSize: '16px',
      fontWeight: 'bold',
      lineHeight: '20px',
      display: 'contents',
    },
    contentContainer: {
      display: 'flex',
      flexDirection: 'column',
      paddingBottom: 5,
      paddingRight: 30,
      paddingTop: 5,
      '&:last-child': {
        paddingBottom: 5,
      },
    },
    contentSupplierInfo: {
      display: 'flex',
      justifyContent: 'space-between',
    },
    contentUserInfo: {
      paddingBottom: 15,
      fontSize: '12px',
      lineHeight: '15px',
    },
    infoTitle: {
      fontSize: '12px',
      lineHeight: '15px',
      color: '#CCCCCC',
      paddingBottom: 5,
    },
    redBackgroung: {
      backgroundColor: ' #E60028',
    },
    greenBackgroung: {
      backgroundColor: '#00D23B',
    },
    orangeBackgroung: {
      backgroundColor: '#F5A623',
    },
    clearButton: {
      padding: 0,
    },
  });

export default styles;
