import React from 'react';
import { shallow } from 'enzyme';

import SelectedSuppliersList from './SelectedSuppliersList.component';
import SelectedSupplierCard from '../SelectedSupplierCard';

describe('SelectedSuppliersList', () => {
  let props: {
    selectedSuppliers: Array<any>;
    classes: any;
  };

  beforeEach(() => {
    props = {
      classes: {},
      selectedSuppliers: [
        {
          id: '1008966',
          name: 'KSI-AD',
          userFirstName: 'Pierre',
          userLastName: 'DUPONT',
          userEmail: 'p.raballand@bravosolution.fr',
          extStatus: 'low',
          approvedByRESG: false,
        },
        {
          id: '1008966',
          name: 'KSI-AD',
          userFirstName: 'Pierre',
          userLastName: 'DUPONT',
          userEmail: 'p.raballand@bravosolution.fr',
          extStatus: 'low',
          approvedByRESG: false,
        },
        {
          id: '1008966',
          name: 'KSI-AD',
          userFirstName: 'Pierre',
          userLastName: 'DUPONT',
          userEmail: 'p.raballand@bravosolution.fr',
          extStatus: 'low',
          approvedByRESG: false,
        },
      ],
    };
  });

  it('should render a list of 3 suppliers cards', () => {
    const wrapper = shallow(<SelectedSuppliersList {...props} />);
    expect(wrapper.find(SelectedSupplierCard)).toHaveLength(3);
  });
});
