import { connect } from 'react-redux';
import { withStyles } from '@material-ui/core/styles';

import SuppliersList from './SuppliersList.component';
import styles from './SuppliersList.style';
import {
  searchForSuppliersEffect,
  changePageOfSuppliersEffect,
  setSuppliersReferencedFilter,
  searchForSuppliers,
} from './../../../redux/suppliers';

const mapStateToProps = (state: any) => {
  return {
    suppliers: state.suppliers.allSuppliers,
    selectedSuppliersIds: state.suppliers.selectedSuppliersIds,
    selectedSuppliers: state.suppliers.selectedSuppliers,
    suppliersLabels: state.intl.messages.suppliers,
    suppliersPageTitle: state.intl.messages.purchase.titles.suppliersSelection,
    currentPage: state.suppliers.paging.currentPage,
    resultsPerPage: state.suppliers.paging.resultsPerPage,
    numberOfPages: state.suppliers.numberOfPages,
    inputsModel: state.prModels.inputsModel,
  };
};

const mapDispatchToProps = (dispatch: any) => {
  return {
    setSuppliersReferencedFilter: (isReferencedSuppliers: boolean) =>
      dispatch(setSuppliersReferencedFilter(isReferencedSuppliers)),
    searchForSuppliersEffect: () => dispatch(searchForSuppliersEffect()),
    changePageOfSuppliersEffect: (paging: any) => dispatch(changePageOfSuppliersEffect(paging)),
    searchForSuppliers: (searchTerm: string) => dispatch(searchForSuppliers(searchTerm)),
  };
};

export default withStyles(styles)(
  connect(
    mapStateToProps,
    mapDispatchToProps,
  )(SuppliersList),
);
