import { createStyles } from '@material-ui/core/styles';

const styles = () =>
  createStyles({
    globalContainer: {
      padding: '20px 50px',
    },
    pageTitle: {
      fontFamily: 'inherit',
      fontSize: '28px',
      fontWeight: 'bold',
      lineHeight: '36px',
      marginBottom: '10px',
      textTransform: 'none',
      '&::after': {
        content: "''",
        display: 'block',
        border: '2px solid #E60028',
        backgroundColor: '#E60028',
        height: '1px',
        width: '31px',
        marginTop: '8px',
      },
    },
    container: {
      display: 'flex',
      flexDirection: 'column',
      padding: '20px 0px 20px 80px',
    },
    headerContainer: {
      padding: '10px 20px',
    },
    listsContainer: {
      paddingTop: 20,
    },
    listSuppliersContainer: {
      padding: '10px 20px 20px',
      boxSizing: 'border-box',
      boxShadow: '0 2px 6px 0 rgba(0,0,0,0.2)',
    },
    title: {
      padding: '0px 10px 15px',
      margin: 0,
    },
    titleContainer: {
      margin: 0,
      display: 'flex',
      justifyContent: 'space-between',
    },
    paginationContainer: {
      display: 'flex',
      justifyContent: 'flex-end',
      paddingRight: 30,
    },
    warningMessages: {
      width: '70%',
      paddingBottom: 20,
    },
  });

export default styles;
