import React from 'react';
import { shallow } from 'enzyme';
import ReactPaginate from 'rc-pagination';

import SupplierList from './SuppliersList.component';
import SelectSupplierCard from '../SelectSupplierCard';

describe('SupplierList', () => {
  let props: {
    suppliers: Array<any>;
    selectedSuppliersIds: Array<string>;
    selectedSuppliers: Array<string>;
    suppliersLabels: any;
    classes: any;
    fetchAllSuppliersEffect: any;
    currentPage: number;
    resultsPerPage: number;
    numberOfPages: number;
    changePageOfSuppliersEffect: any;
    inputsModel: any;
  };

  beforeEach(() => {
    props = {
      classes: {},
      fetchAllSuppliersEffect: jest.fn(),
      suppliers: [{}, {}, {}],
      selectedSuppliersIds: [],
      selectedSuppliers: [],
      suppliersLabels: {
        title: 'title',
        showOnlyReferencedSuppliersLabel: 'teste',
      },
      currentPage: 1,
      resultsPerPage: 15,
      numberOfPages: 2,
      changePageOfSuppliersEffect: jest.fn(),
      inputsModel: {},
    };
  });

  it('should render a list of 3 suppliers cards', () => {
    const wrapper = shallow(<SupplierList {...props} />);
    expect(wrapper.find(SelectSupplierCard)).toHaveLength(3);
    expect(props.fetchAllSuppliersEffect).toHaveBeenCalledTimes(0);
  });

  it('should call changing page effect', () => {
    const wrapper = shallow(<SupplierList {...props} />);
    wrapper.find(ReactPaginate).simulate('change');
    expect(props.changePageOfSuppliersEffect).toHaveBeenCalledTimes(1);
  });
});
