import React from 'react';
import { shallow } from 'enzyme';
import LanguageSelector from './LanguageSelector.component';
import Button from '@material-ui/core/Button';
import { Props } from './LanguageSelector.component';

describe('LanguageSelector', () => {
  let props: Props;
  beforeEach(() => {
    props = {
      classes: {},
      lang: 'en',
      selectLang: jest.fn(),
    };
  });
  it('should display a gdpr treatment', () => {
    const wrapper = shallow(<LanguageSelector {...props} />);
    expect(wrapper.find(Button)).toHaveLength(2);
    wrapper
      .find(Button)
      .at(0)
      .simulate('click');
    expect(props.selectLang).toHaveBeenCalledWith('fr');
    wrapper
      .find(Button)
      .at(1)
      .simulate('click');
    expect(props.selectLang).toHaveBeenCalledWith('en');
  });
});
