import React, { FunctionComponent } from 'react';
import Button from '@material-ui/core/Button';

export interface Props {
  classes: any;
  lang: string;
  selectLang: any;
}

export const LanguageSelector: FunctionComponent<Props> = props => {
  const { lang, classes, selectLang } = props;
  const isActiveLanguage = (lan: string) => {
    let style;
    if (lang === lan) {
      style = classes.selectedLanguage;
    }
    return { root: classes.language, label: style };
  };

  return (
    <div className={classes.container}>
      <Button
        disableRipple
        variant="text"
        color="default"
        classes={isActiveLanguage('fr')}
        onClick={() => selectLang('fr')}
      >
        fr
      </Button>
      |
      <Button
        disableRipple
        variant="text"
        color="default"
        classes={isActiveLanguage('en')}
        onClick={() => selectLang('en')}
      >
        en
      </Button>
    </div>
  );
};

export default LanguageSelector;
