import { withStyles } from '@material-ui/core/styles';
import { connect } from 'react-redux';

import styles from './LanguageSelector.style';
import LanguageSelector from './LanguageSelector.component';
import { selectLang } from '../../../../redux/language';
import getCurrentLanguage from '../../../../redux/language/language.selectors';

const mapStateToProps = (state: any) => ({
  lang: getCurrentLanguage(state),
});

const mapDispatchToProps = (dispatch: any, state: any) => ({
  selectLang: (lang: string) => dispatch(selectLang(lang)),
});

export default withStyles(styles)(
  connect(
    mapStateToProps,
    mapDispatchToProps,
  )(LanguageSelector),
);
