import Input from './Input';
import { connect } from 'react-redux';
import { createStyles, withStyles } from '@material-ui/core/styles';
import { InputRootProps } from './inputRoot.interface';
import { addTemporaryIntl } from '../../../redux/language';

import {
  updateInputEffect,
  toggleTouchedEffect,
  handleSearchEffect,
  resetSuggestionsEffect,
} from './../../../redux/prModels';

export interface Props extends InputRootProps {
  inputsModel: any;
  inputLabels: {
    [key: string]: string;
  };
  inputErrorTexts: {
    [key: string]: string;
  };
  inputPlaceholders: {
    [key: string]: string;
  };
  inputSelectionCriteria: any;
  toggleTouched: any;
  updateField: any;
  type: string;
  value: any;
  config: any;
  keyLabel: string;
  classes: any;
  handleSearch: any;
  resetSuggestions: any;
  addTemporaryIntl: any;
}

export const styles = () =>
  createStyles({
    input: {
      padding: '1rem 1rem 1rem 1rem',
    },
    helperMessage: {
      fontWeight: 600,
      lineHeight: '18px',
      paddingLeft: '3rem',
      paddingBottom: '2rem',
    },
  });

const mapStateToProps = (state: any) => ({
  inputLabels: state.intl.messages.purchase.inputs,
  inputErrorTexts: state.intl.messages.purchase.inputs.errorTexts,
  inputPlaceholders: state.intl.messages.purchase.inputs.placeholders,
  inputSelectionCriteria: state.intl.messages.purchase.inputs.selectionCriteria,
  inputsModel: state.prModels.inputsModel,
});

const mapDispatchToProps = (dispatch: any) => ({
  updateField: (newValue: string, inputKey: string) => dispatch(updateInputEffect(newValue, inputKey)),
  toggleTouched: (keyLabel: string) => dispatch(toggleTouchedEffect(keyLabel)),
  handleSearch: (query: string, inputKey: string, apiToCall: string) =>
    dispatch(handleSearchEffect(query, inputKey, apiToCall)),
  resetSuggestions: (inputKey: string) => dispatch(resetSuggestionsEffect(inputKey)),
  addTemporaryIntl: (labelToAddToIntl: any) => dispatch(addTemporaryIntl(labelToAddToIntl)),
});

export default connect(
  mapStateToProps,
  mapDispatchToProps,
)(withStyles(styles)(Input) as any);
