import autocomplete from './Autocomplete';
import { createStyles, withStyles, Theme } from '@material-ui/core/styles';
import { connect } from 'react-redux';
import { handleAutoCompleteValueEffect } from '../../../../redux/prModels';

export const styles = (theme: Theme) =>
  createStyles({
    container: {
      flexGrow: 1,
      position: 'relative',
    },
    paper: {
      maxHeight: '12rem',
      overflow: 'auto',
      position: 'absolute',
      zIndex: 100,
      marginTop: theme.spacing.unit,
      left: 0,
      right: 0,
    },
    shrink: {
      transform: 'translate(14px, -1rem)  scale(0.75) !important',
    },
    input: {
      backgroundColor: 'white',
      borderRadius: '4px',
    },
    inputReadOnly: {
      fontWeight: 600,
      padding: '0',
    },
    showIcon: {
      display: 'none',
    },
  });

const mapDispatchToProps = (dispatch: any) => ({
  handleValue: (value: string, apiToCall: string) => dispatch(handleAutoCompleteValueEffect(value, apiToCall)),
});

export default connect(
  null,
  mapDispatchToProps,
)(withStyles(styles)(autocomplete)) as any;
