import React from 'react';
import { shallow } from 'enzyme';
import Suggestion from './Suggestion';
import { MenuItem } from '@material-ui/core';

describe('Suggestion', () => {
  let props: any;
  beforeEach(() => {
    props = {
      suggestion: {
        value: 'A suggestion',
      },
      highlightedIndex: 1,
      index: 1,
      selectedItem: {
        value: 'A suggestion',
      },
    };
  });
  it('should generate a selected suggestion for the autocomplete', () => {
    const wrapper = shallow(<Suggestion {...props} />);
    expect(wrapper.find(MenuItem)).toHaveLength(1);
    expect(
      wrapper
        .find(MenuItem)
        .at(0)
        .props().style.fontWeight,
    ).toBe(500);
  });
  it('should generate a suggestion for the autocomplete', () => {
    props.selectedItem.value = 'An other value';
    const wrapper = shallow(<Suggestion {...props} />);
    expect(wrapper.find(MenuItem)).toHaveLength(1);
    expect(
      wrapper
        .find(MenuItem)
        .at(0)
        .props().style.fontWeight,
    ).toBe(400);
  });
});
