import React, { FunctionComponent } from 'react';
import MenuItem from '@material-ui/core/MenuItem';

export const suggestion: FunctionComponent = (props: any) => {
  const { suggestion, index, itemProps, highlightedIndex, selectedItem } = props;
  const isHighlighted = highlightedIndex === index;
  const isSelected = selectedItem && selectedItem.value === suggestion.value;
  return (
    <MenuItem
      {...itemProps}
      component="div"
      style={{
        fontWeight: isSelected ? 500 : 400,
      }}
      selected={isHighlighted}
    >
      {suggestion.value}
    </MenuItem>
  );
};

export default suggestion;
