import React from 'react';
import { shallow } from 'enzyme';
import DatetimePicker from './DateTimePicker';
import DatePicker from 'react-datepicker';
import { Props } from './DateTimePicker.interface';

describe('<DatetimePicker />', () => {
  let props: Props;
  beforeEach(() => {
    props = {
      value: '',
      dateConfig: { type: 'date' },
      keyLabel: 'DatetimePicker',
      valid: true,
      touched: true,
      handleChange: jest.fn(),
      handleToggle: jest.fn(),
      locale: 'fr',
      errorText: 'this field is required',
    };
  });
  it('should render a date & time picker', () => {
    const wrapper = shallow(<DatetimePicker {...props} />);
    wrapper.find(DatePicker).simulate('change', new Date());
    expect(wrapper.find(DatePicker)).toHaveLength(1);
  });
  it('should render a date & time picker', () => {
    props.dateConfig = {
      type: 'dateAndtime',
      minDate: '2018-01-01',
      maxDate: '2020-01-01',
    };
    props = {
      ...props,
      value: '2019-01-01',
      locale: 'en',
    };
    const wrapper = shallow(<DatetimePicker {...props} />);
    wrapper.find(DatePicker).simulate('change', new Date('2019-01-01'));
    expect(wrapper.find(DatePicker)).toHaveLength(1);
  });
});
