import DownloadSingleFile from './DownloadSingleFile';
import { connect } from 'react-redux';
import { DownloadSingleFileState } from './DownloadSingleFile.interface';
import { downloadSpecificationFileEffect } from '../../../../redux/droppedFiles';
import { withStyles } from '@material-ui/core/styles';
import styles from './DownloadSingleFile.style';

const mapStateToProps = (state: DownloadSingleFileState) => ({
  specificationMessages: state.intl.messages.purchase.specification,
  prInputsMessages: state.intl.messages.purchase.inputs,
  prSpecificationIsValid: state.prModels.specificationIsValid.prSpecificationIsValid,
  prSpecificationInvalidInputs: state.prModels.specificationIsValid.invalidSpecificationInputs,
});

const mapDispatchToProps = (dispatch: any) => ({
  downloadSpecificationFileEffect: () => dispatch(downloadSpecificationFileEffect()),
});

export default withStyles(styles)(
  connect(
    mapStateToProps,
    mapDispatchToProps,
  )(DownloadSingleFile),
) as any;
