import { createStyles, Theme } from '@material-ui/core/styles';

const styles = (theme: Theme) =>
  createStyles({
    downloadFileContainer: {
      textAlign: 'center',
    },
    buttonSection: {
      textAlign: 'center',
    },
    invalidSection: {
      color: `${theme.palette.colors.socgenred.main}`,
    },
    validSectionButton: {
      color: `${theme.palette.colors.success.main}`,
      backgroundColor: `${theme.palette.background.default}`,
    },
    invalidSectionButton: {
      color: `${theme.palette.colors.socgenred.main}`,
      backgroundColor: `${theme.palette.background.default}`,
    },
    downloadFileTopTextError: {
      width: '100%',
      color: `${theme.palette.colors.socgenred.main}`,
      fontSize: '14px',
      fontWeight: 500,
      letterSpacing: '0.26px',
      lineHeight: '19px',
      textAlign: 'left',
      marginBottom: '62px',
    },
    downloadFileTopTextSuccess: {
      width: '100%',
      color: `${theme.palette.colors.success.main}`,
      fontSize: '14px',
      fontWeight: 500,
      letterSpacing: '0.26px',
      lineHeight: '19px',
      textAlign: 'left',
      display: 'inline-block',
      marginBottom: '62px',
    },
    downloadFileTopTextSVGSuccess: {
      display: 'inline-block',
      verticalAlign: 'middle',
    },
    downloadFileTopTextSVGError: {
      display: 'inline-block',
      verticalAlign: 'middle',
    },
    downloadFileTopTextColorSuccess: {
      paddingLeft: '10px',
      color: '#000000',
      display: 'inline-block',
    },
    downloadFileTopTextColorError: {
      paddingLeft: '10px',
      display: 'inline-block',
    },
    downloadFileBottomText: {
      paddingTop: '10px',
      fontWeight: 'bold',
      textTransform: 'uppercase',
      width: '100%',
      color: 'rgba(0,0,0,0.85)',
      fontSize: '14px',
      letterSpacing: '0.8px',
      lineHeight: '18px',
      textAlign: 'center',
    },
    svgStyle: {
      width: '30px',
      height: '30px',
    },
  });

export default styles;
