import React, { FunctionComponent, useState, useEffect } from 'react';
import { DownloadSingleFileProps } from './DownloadSingleFile.interface';
import styles from './DownloadSingleFile.module.css';
import SvgIcon from '@material-ui/core/SvgIcon';
import Fab from '@material-ui/core/Fab';
import { Grid } from '@material-ui/core';

export const downloadSingleFile: FunctionComponent<DownloadSingleFileProps> = props => {
  const {
    downloadSpecificationFileEffect,
    specificationMessages,
    prSpecificationIsValid,
    prSpecificationInvalidInputs,
  } = props;

  const downloadSpecification = () => {
    downloadSpecificationFileEffect();
  };

  return (
    <>
      <Grid container justify="center" alignItems="center">
        {prSpecificationIsValid ? (
          <Grid item xs={12}>
            <div className={props.classes.downloadFileTopTextSuccess}>
              <div className={props.classes.downloadFileTopTextSVGSuccess}>
                <SvgIcon className={props.classes.svgStyle} viewBox={'0 0 612 612'}>
                  <path
                    d="M306,153c-21.114,0-38.25,17.136-38.25,38.25S284.886,229.5,306,229.5s38.25-17.117,38.25-38.25S327.133,153,306,153z
                M306,267.75c-21.114,0-38.25,17.117-38.25,38.25v114.75c0,21.114,17.136,38.25,38.25,38.25s38.25-17.136,38.25-38.25V306
                C344.25,284.886,327.133,267.75,306,267.75z M306,0C137.279,0,0,137.279,0,306s137.279,306,306,306s306-137.279,306-306
                S474.721,0,306,0z M306,554.625C168.893,554.625,57.375,443.088,57.375,306S168.893,57.375,306,57.375
                c137.088,0,248.625,111.537,248.625,248.625S443.088,554.625,306,554.625z"
                  />
                </SvgIcon>
              </div>
              <div className={props.classes.downloadFileTopTextColorSuccess}>
                {specificationMessages && specificationMessages.downloadFileTopTextSuccess}
              </div>
            </div>
          </Grid>
        ) : (
          <>
            <Grid item xs={12}>
              <div className={props.classes.downloadFileTopTextError}>
                <div className={props.classes.downloadFileTopTextSVGError}>
                  <SvgIcon className={props.classes.svgStyle} viewBox={'0 0 612 612'}>
                    <path
                      d="M306,153c-21.114,0-38.25,17.136-38.25,38.25S284.886,229.5,306,229.5s38.25-17.117,38.25-38.25S327.133,153,306,153z
                  M306,267.75c-21.114,0-38.25,17.117-38.25,38.25v114.75c0,21.114,17.136,38.25,38.25,38.25s38.25-17.136,38.25-38.25V306
                  C344.25,284.886,327.133,267.75,306,267.75z M306,0C137.279,0,0,137.279,0,306s137.279,306,306,306s306-137.279,306-306
                  S474.721,0,306,0z M306,554.625C168.893,554.625,57.375,443.088,57.375,306S168.893,57.375,306,57.375
                  c137.088,0,248.625,111.537,248.625,248.625S443.088,554.625,306,554.625z"
                    />
                  </SvgIcon>
                </div>
                <div className={props.classes.downloadFileTopTextColorError}>
                  {specificationMessages && specificationMessages.downloadFileTopTextError}
                </div>
              </div>
            </Grid>
          </>
        )}
        <Grid item xs={12} className={props.classes.buttonSection}>
          <Fab
            aria-label="Add"
            onClick={() => downloadSpecification()}
            className={prSpecificationIsValid ? props.classes.validSectionButton : props.classes.invalidSectionButton}
          >
            <SvgIcon className={props.classes.svgStyle} viewBox={'0 0 48 48'}>
              <path d="M38 18h-8V6H18v12h-8l14 14 14-14zM10 36v4h28v-4H10z" />
            </SvgIcon>
          </Fab>
        </Grid>
        <Grid item xs={12}>
          <div className={props.classes.downloadFileBottomText}>
            {specificationMessages && specificationMessages.downloadFileBottomText}
          </div>
        </Grid>
      </Grid>
    </>
  );
};

export default downloadSingleFile;
