import FileUpload from './FileUpload';
import { connect } from 'react-redux';
import { FileUploadRootState } from './FileUpload.interface';
import {
  createDroppedFileModelEffect,
  addDroppedFileEffect,
  getExistingFilesEffect,
  deleteFileFromEDM,
} from '../../../../redux/droppedFiles';

const mapStateToProps = (state: FileUploadRootState) => ({
  prId: state.purchaseRequests.activePR.prId,
  fileUploadMessages: state.intl.messages.purchase.fileUpload,
  existingFilesPropsArray: (fieldName: string) => {
    if (state.droppedFiles && state.droppedFiles[fieldName] && state.droppedFiles[fieldName].existingFiles) {
      const existingFiles: any = state.droppedFiles[fieldName].existingFiles;
      return existingFiles;
    }
    return [];
  },
  newFilesPropsArray: (fieldName: string) => {
    if (state.droppedFiles && state.droppedFiles[fieldName] && state.droppedFiles[fieldName].newFiles) {
      const newFiles: any = state.droppedFiles[fieldName].newFiles;
      return newFiles;
    }
    return [];
  },
});

const mapDispatchToProps = (dispatch: any) => ({
  createDroppedFileModelEffect: (uploadFileKeysFromModelArray: any[]) =>
    dispatch(createDroppedFileModelEffect(uploadFileKeysFromModelArray)),
  addDroppedFileEffect: (inputKey: string, files: any[], newExisting: string) =>
    dispatch(addDroppedFileEffect(inputKey, files, newExisting)),
  getExistingFilesEffect: (fieldId: string, destination: string) =>
    dispatch(getExistingFilesEffect(fieldId, destination)),
  deleteFileFromEDM: (
    docId: string,
    purchaseRequestId: string,
    fieldId: string,
    destination: string,
    fileName: string,
  ) => dispatch(deleteFileFromEDM(docId, purchaseRequestId, fieldId, destination, fileName)),
});

export default connect(
  mapStateToProps,
  mapDispatchToProps,
)(FileUpload);
