import React from 'react';
import { shallow, mount } from 'enzyme';
import FileUploadTable from './FileUploadTable';
import Provider from './../../../../../providers/store.provider';

describe('FileUploadTable', () => {
  let props: any;
  beforeEach(() => {
    props = {
      fileUploadMessages: '',
      files: [],
    };
  });
  it('should display nothing when not files are passed as props', () => {
    const wrapper = shallow(<FileUploadTable {...props} />);
    expect(wrapper.find('Table').length).toEqual(0);
  });

  it('should display files in a table when files are passed as props', () => {
    props.files = ['0', '1'];
    props.filesTableBody = [['1'], ['2']];
    const wrapper = mount(
      <Provider>
        <FileUploadTable {...props} />
      </Provider>,
    );
    expect(wrapper.find('Table').length).toEqual(1);
  });
});
