import React, { FunctionComponent } from 'react';
import { FileUploadTableRootProps } from './FileUploadTable.interface';
import Table from '../../../../commons/table';

export const FileUploadTable: FunctionComponent<FileUploadTableRootProps> = props => {
  const { files, fileUploadMessages, filesTableBody } = props;

  return (
    <>
      {files.length > 0 && (
        <Table
          id="fileupload"
          tableHead={[
            fileUploadMessages['fileTabName'],
            fileUploadMessages['fileTabType'],
            fileUploadMessages['fileTabWeight'],
            fileUploadMessages['fileTabDestination'],
            fileUploadMessages['fileTabAction'],
          ]}
          tableBody={filesTableBody}
          rowClickHandler={() => {}}
        />
      )}
    </>
  );
};

export default FileUploadTable;
