import React from 'react';
import { shallow, mount } from 'enzyme';
import Gdpr from './Gdpr';
import GdprTreatment from './gdpr-treatment';
import TextFieldOrArea from './../text-field-or-area/index';
import Clear from '@material-ui/icons/Clear';
import { Button } from '@material-ui/core';
import AddIcon from '@material-ui/icons/Add';
import Provider from './../../../../providers/store.provider';

describe('Gdpr', () => {
  let props: any;
  beforeEach(() => {
    props = {
      gdprButtonMessage: 'add treatment',
      value: [
        {
          dataType: '',
          operationNature: '',
          orderNum: null,
          personCategory: '',
          treatmentDuration: '',
          treatmentPlace: '',
          treatmentPurpose: '',
        },
        {
          dataType: '',
          operationNature: '',
          orderNum: null,
          personCategory: '',
          treatmentDuration: '',
          treatmentPlace: '',
          treatmentPurpose: '',
        },
      ],
    };
  });
  it('should display the gdpr component', () => {
    const wrapper = mount(
      <Provider>
        <Gdpr {...props} />
      </Provider>,
    );
    expect(wrapper.find(GdprTreatment)).toHaveLength(2);
    expect(wrapper.find(Button)).toHaveLength(1);
    expect(wrapper.find(AddIcon)).toHaveLength(1);
    wrapper.find(Button).simulate('click');
    wrapper
      .find(Clear)
      .first()
      .simulate('click');
    wrapper
      .find(TextFieldOrArea)
      .first()
      .simulate('focus');
    wrapper
      .find(TextFieldOrArea)
      .first()
      .simulate('blur');
    wrapper
      .find(TextFieldOrArea)
      .first()
      .simulate('focus');
  });
  it('should display the button only', () => {
    props.value = [];
    const wrapper = mount(
      <Provider>
        <Gdpr {...props} />
      </Provider>,
    );
    expect(wrapper.find(Button)).toHaveLength(1);
    expect(wrapper.find(AddIcon)).toHaveLength(1);
  });
});
