import GdprTreatment from './GdprTreatment';
import { connect } from 'react-redux';
import { createStyles, withStyles, WithStyles, Theme } from '@material-ui/core/styles';

export interface Props extends WithStyles<typeof styles> {
  index: number;
  updateField: any;
  removeTreatment: any;
  handleToggle: any;
  model: any;
  inputLabels: {
    [key: string]: string;
  };
  inputErrorTexts: {
    [key: string]: string;
  };
  inputPlaceholders: {
    [key: string]: string;
  };
}

export const styles = (theme: Theme) =>
  createStyles({
    grid: {
      padding: '1rem',
    },
    paper: {
      marginBottom: '1rem',
      padding: '1rem',
      backgroundColor: theme.palette.background.default,
      position: 'relative',
      boxShadow: 'red',
    },
    button: {
      position: 'absolute',
      top: 0,
      right: 0,
      padding: '4px',
    },
  });

const mapStateToProps = (state: any) => ({
  inputLabels: state.intl.messages.purchase.inputs,
  inputErrorTexts: state.intl.messages.purchase.inputs.errorTexts,
  inputPlaceholders: state.intl.messages.purchase.inputs.placeholders,
});

export default withStyles(styles)(
  connect(
    mapStateToProps,
    null,
  )(GdprTreatment),
);
