import React from 'react';
import { shallow, mount } from 'enzyme';
import GdprTreatment from './GdprTreatment';
import { gdprModel } from './../../../../../template/gdpr';
import { Grid, Paper, IconButton } from '@material-ui/core';
import Clear from '@material-ui/icons/Clear';
import TextFieldOrArea from './../../text-field-or-area/index';
import { Props } from './GdprTreatment.container';

describe('gdpr-treatment', () => {
  let props: Props;
  beforeEach(() => {
    props = {
      index: 0,
      model: { ...gdprModel },
      updateField: jest.fn(),
      removeTreatment: jest.fn(),
      handleToggle: jest.fn(),
      inputLabels: {},
      classes: {
        grid: 'grid',
        paper: 'paper',
        button: 'button',
      },
      inputErrorTexts: {},
      inputPlaceholders: {},
    };
  });
  it('should display a gdpr treatment', () => {
    const wrapper = shallow(<GdprTreatment {...props} />);
    expect(wrapper.find(Paper)).toHaveLength(1);
    expect(wrapper.find(Grid)).toHaveLength(7);
    expect(wrapper.find(TextFieldOrArea)).toHaveLength(6);
  });
  it('should display a gdpr treatment with delete icon', () => {
    props.index = 1;
    const wrapper = shallow(<GdprTreatment {...props} />);
    expect(wrapper.find(IconButton)).toHaveLength(1);
    expect(wrapper.find(Clear)).toHaveLength(1);
    expect(wrapper.find(Paper)).toHaveLength(1);
    expect(wrapper.find(Grid)).toHaveLength(7);
    expect(wrapper.find(TextFieldOrArea)).toHaveLength(6);
    wrapper.find(IconButton).simulate('click');
    expect(props.removeTreatment).toHaveBeenCalled();
  });
});
