import RichTextEditor from './RichTextEditor';
import { createStyles, withStyles, WithStyles, Theme } from '@material-ui/core/styles';
import { InputRootProps } from '../inputRoot.interface';

export interface Props extends InputRootProps, WithStyles<typeof styles> {
  handleToggle: any;
  value: string;
}

export const styles = (theme: Theme) =>
  createStyles({
    invalid: {
      borderColor: `${theme.palette.colors.warning.main} !important`,
    },
    toolbar: {
      borderRadius: '4px 4px 0px 0px',
      borderBottom: '1px solid rgba(0, 0, 0, 0.23)',
      borderWidth: '0px 0px 0px 0px',
      '&$focus': {
        borderColor: 'rgba(51, 51, 51)',
        borderBottom: '2px solid',
      },
    },
    hide: {
      display: 'none',
    },
    wrapper: {
      borderColor: 'rgba(0, 0, 0, 0.23)',
      border: '1px solid',
      borderRadius: '4px',
      '&:hover': {
        borderColor: 'rgba(0, 0, 0, 0.85)',
      },
      '&$focus': {
        borderColor: 'rgba(51, 51, 51)',
        border: '2px solid',
      },
    },
    editor: {
      margin: theme.spacing.unit,
      maxHeight: '10rem',
      minHeight: '5rem',
      overflow: 'auto',
      cursor: 'text',
    },
    shrinkLabel: {
      transform: 'translate(14px, -1rem) scale(0.75) !important',
    },
    formControl: {
      marginTop: theme.spacing.unit,
    },
    focus: {},
  });

export default withStyles(styles)(RichTextEditor);
