import React from 'react';
import { ShallowWrapper, shallow } from 'enzyme';
import IconButton from '@material-ui/core/IconButton';

import SearchBar from './SearchBar.component';
import Props from './SearchBar.interface';

describe('SearchBar', () => {
  let props: Props;
  let wrapper: ShallowWrapper;

  beforeEach(() => {
    props = {
      searchAction: jest.fn(),
      setSearchTermAction: jest.fn(),
      searchPlaceHolder: 'string',
      searchTitle: 'string',
      searchClearButtonLabel: 'string',
      classes: {},
    };
    wrapper = shallow(<SearchBar {...props} />);
  });

  it('should generate a search bar with two search button', () => {
    expect(wrapper.find(IconButton)).toHaveLength(2);
  });

  it('should call searchAction when search IconButton is clicked', () => {
    wrapper
      .find(IconButton)
      .last()
      .simulate('click');
    expect(props.searchAction).toHaveBeenCalledTimes(1);
  });
});
