import React from 'react';
import { shallow } from 'enzyme';
import TextField from './TextFieldOrArea';

describe('text-field-or-area', () => {
  let props: any;
  beforeEach(() => {
    props = {
      value: '',
      muiPropsCustomConf: {
        variant: 'outlined',
        required: true,
      },
      keyLabel: 'test',
      handleChange: jest.fn(),
      handleToggle: jest.fn(),
      valid: true,
      touched: true,
      classes: {
        shrink: 'shrink',
      },
    };
  });

  it('should display an outlined textfield with adornment at the begining', () => {
    props = {
      ...props,
      adornment: {
        position: 'start',
        value: '€',
      },
    };
    const wrapper = shallow(<TextField {...props} />);
    expect(wrapper.props().InputProps.fullWidth).toBeFalsy();
    expect(wrapper.props().InputProps.startAdornment.props.position).toBe('start');
    expect(wrapper.props().InputProps.startAdornment.props.children).toBe(props.adornment.value);
    expect(wrapper.find('TextField')).toHaveLength(1);
  });

  it('should display an outlined textfield with adornment at the end', () => {
    props = {
      ...props,
      adornment: {
        position: 'end',
        value: '€',
      },
    };
    const wrapper = shallow(<TextField {...props} />);
    expect(wrapper.props().InputProps.fullWidth).toBeFalsy();
    expect(wrapper.props().InputProps.endAdornment.props.position).toBe('end');
    expect(wrapper.props().InputProps.endAdornment.props.children).toBe(props.adornment.value);
    expect(wrapper.find('TextField')).toHaveLength(1);
  });
});
