import Footer from './Footer';
import { connect } from 'react-redux';
import { createStyles, withStyles, Theme } from '@material-ui/core/styles';

export const styles = (theme: Theme) =>
  createStyles({
    lastSaved: {
      color: '#B8B5B5',
      fontSize: '12px',
      lineHeight: '15px',
      margin: '0 0.5rem',
    },
    footer: {
      padding: '0.5rem 2rem',
    },
    rightPart: {
      '& button': {
        marginLeft: '1.5rem',
      },
      '& a': {
        marginLeft: '1.5rem',
      },
    },
    saphire: {
      backgroundColor: `${theme.palette.colors.saphirblue.main} !important`,
      color: theme.palette.getContrastText(theme.palette.colors.saphirblue.main),
    },
  });

const mapStateToProps = (state: any) => ({
  lastRecordMessage: state.intl.messages.purchase.info.lastRecord,
  buttonsMessages: state.intl.messages.buttons,
  format: state.intl.locale === 'fr' ? "dd/MM/yyyy 'à' HH:mm" : "dd/MM/yyyy 'at' HH:mm a",
});

export default connect(
  mapStateToProps,
  null,
)(withStyles(styles)(Footer) as any);
