import { WithStyles } from '@material-ui/core/styles';
import { styles } from './Footer.container';

export interface ButtonType {
  action: () => void;
  label: string;
  disabled?: boolean;
  variant?: 'text' | 'flat' | 'outlined' | 'contained' | 'raised' | 'fab' | 'extendedFab';
  classe?: 'saphire';
}

export interface Props extends WithStyles<typeof styles> {
  leftArrow: string | null;
  rightArrow: string | null;
  lastSaved?: string | Date;
  buttons?: ButtonType[];
  format: string;
  lastRecordMessage: string;
  buttonsMessages: {
    [key: string]: string;
  };
}
