import React from 'react';
import { shallow } from 'enzyme';
import GenericFooter from './Footer';
import { Props } from './Footer.interface';
import { Grid, Button, Icon } from '@material-ui/core';

describe('GenericFooter', () => {
  it('should generate a generic custom footer', () => {
    const props: Props = {
      leftArrow: 'leftArrow',
      rightArrow: 'rightArrow',
      lastSaved: new Date(),
      buttons: [
        {
          action: jest.fn(),
          label: 'save',
          variant: 'contained',
          disabled: false,
          classe: 'saphire',
        },
      ],
      classes: {
        lastSaved: 'lastSaved',
        footer: 'footer',
        rightPart: 'rightPart',
        saphire: 'saphire',
      },
      format: "dd/MM/yyyy 'at' HH:mm a",
      lastRecordMessage: 'Last record',
      buttonsMessages: {
        save: 'Save',
      },
    };
    const wrapper = shallow(<GenericFooter {...props} />);
    expect(wrapper.find(Grid)).toHaveLength(4);
    expect(wrapper.find(Button)).toHaveLength(3);
    expect(wrapper.find(Icon)).toHaveLength(2);
    expect(wrapper.find('span')).toHaveLength(3);
    wrapper
      .find(Button)
      .at(1)
      .simulate('click');
    props.buttons && expect(props.buttons[0].action).toHaveBeenCalled();
  });
});
