import React from 'react';
import { shallow } from 'enzyme';
import Logout from './Logout';
import { Button } from '@material-ui/core';

describe('Logout', () => {
  let props: {
    logout: () => Promise<any>;
    logoutMessage: string;
  };

  beforeEach(() => {
    props = {
      logout: jest.fn(),
      logoutMessage: 'Logout message',
    };
  });

  it('should generate a button', () => {
    const wrapper = shallow(<Logout {...props} />);
    expect(wrapper.find(Button)).toHaveLength(1);
    expect(
      wrapper
        .find(Button)
        .render()
        .text(),
    ).toEqual(props.logoutMessage);
  });

  it('should call logout function on button click', () => {
    const wrapper = shallow(<Logout {...props} />);
    expect(props.logout).toBeCalledTimes(0);
    wrapper.find(Button).simulate('click');
    expect(props.logout).toBeCalledTimes(1);
  });
});
