import React from 'react';
import { shallow } from 'enzyme';
import createRouterContext from 'react-router-test-context';

import TabMenu from './TabMenu';
import { Tabs, Tab } from '@material-ui/core';

describe('TabMenu', () => {
  let props = {
    titlesMessages: {
      prDescriptionSection: 'First part',
      prConsultationRules: 'Second part',
    },
    classes: {
      inactiveTab: 'inactiveTab Style',
    },
    tabs: [
      {
        label: 'prDescriptionSection',
        route: '/purchase/PR-0000000001#prDescriptionSection',
      },
      {
        label: 'prConsultationRules',
        route: '/purchase/PR-0000000001#prConsultationRules',
      },
    ],
    offset: 64,
    ...createRouterContext(),
    location: {
      pathnhame: '/purchase/PR-0000000001',
      hash: '#prDescriptionSection',
    },
  };

  it('should render a tab menu linked to the router', () => {
    const wrapper = shallow(<TabMenu {...props} />);
    expect(wrapper.find(Tabs)).toHaveLength(1);
    expect(wrapper.find(Tab)).toHaveLength(2);
  });
});
