import React, { FunctionComponent } from 'react';
import { Tabs, Tab } from '@material-ui/core';
import { HashLink as Link } from 'react-router-hash-link';
import { TabMenuProps, TabConfig } from './TabMenu.interface';

export const tabMenu: FunctionComponent<TabMenuProps> = props => (
  <Tabs variant="scrollable" scrollButtons="auto" value={`${props.location.pathname}${props.location.hash}`}>
    {props.tabs.map((tab: TabConfig) => {
      return (
        <Tab
          key={tab.route}
          classes={{ textColorInherit: props.classes.inactiveTab }}
          value={tab.value}
          label={props.titlesMessages[tab.label]}
          //@ts-ignore
          component={Link}
          // We had 49 (tabs height) to the props offset so the hash link can scroll to the exact place
          scroll={(el: any) => {
            el.scrollIntoView(true);
            window.scrollBy(0, 0 - props.offset - 49);
          }}
          to={tab.route}
        />
      );
    })}
  </Tabs>
);

export default tabMenu;
