import { connect } from 'react-redux';
import { withStyles } from '@material-ui/core/styles';
import { withSnackbar } from 'notistack';
import { deleteOneNotificationEffect } from '../../../redux/notifications';
import { NotifierState } from './Notifier.interface';

import Notifier from './Notifier';
import styles from './Notifier.style';

const mapStateToProps = (state: NotifierState) => ({
  notifications: state.notifications.notifications,
  notificationsCenterTranslates: state.intl.messages.notifications,
});

const mapDispatchToProps = (dispatch: any) => ({
  deleteOneNotificationEffect: (notificationKey: number) => dispatch(deleteOneNotificationEffect(notificationKey)),
});

export default withStyles(styles)(
  withSnackbar(
    connect(
      mapStateToProps,
      mapDispatchToProps,
    )(Notifier),
  ),
);
