import Table from './Table';
import { createStyles, withStyles, WithStyles, Theme } from '@material-ui/core/styles';

export interface Props extends WithStyles<typeof styles> {
  id: string;
  tableHead: string[];
  tableBody: string[][];
  rowClickHandler: any;
}

export const styles = (theme: Theme) =>
  createStyles({
    paper: {
      margin: theme.spacing.unit * 3,
      overflowX: 'auto',
    },
    table: {
      tableLayout: 'fixed',
      backgroundColor: theme.palette.background.default,
      borderCollapse: 'unset',
    },
    tableCell: {
      fontWeight: 'bold',
      color: 'rgb(100, 100, 100)',
      fontSize: '14px',
    },
  });

export default withStyles(styles)(Table);
