import React from 'react';
import { shallow } from 'enzyme';
import CustomTable from './Table';
import { Paper, Table, TableBody, TableHead, TableRow, TableCell } from '@material-ui/core';

describe('CustomTable', () => {
  it('should generate a custom table', () => {
    const props = {
      id: 'Table Test',
      classes: {
        paper: '',
        table: '',
      },
      tableHead: ['Column 1', 'Column 2', 'Column 3'],
      tableBody: [['Row 1-1', 'Row 1-2', 'Row 1-3'], ['Row 2-1', 'Row 2-2', 'Row 2-3']],
      rowClickHandler: jest.fn(),
    };
    const wrapper = shallow(<CustomTable {...props} />);
    expect(wrapper.find(Paper)).toHaveLength(1);
    expect(wrapper.find(TableHead)).toHaveLength(1);
    expect(wrapper.find(TableBody)).toHaveLength(1);
    expect(wrapper.find(Table)).toHaveLength(1);
    expect(wrapper.find(TableRow)).toHaveLength(3);
    expect(wrapper.find(TableCell)).toHaveLength(9);
    wrapper
      .find(TableRow)
      .at(2)
      .simulate('click');
    expect(props.rowClickHandler).toHaveBeenCalledTimes(1);
  });
});
