import React, { FunctionComponent } from 'react';
import { Paper, Table, TableBody, TableHead, TableRow, TableCell } from '@material-ui/core';
import { Props } from './Table.container';

export const genericTable: FunctionComponent<Props> = props => (
  <Paper className={props.classes.paper}>
    <Table className={props.classes.table}>
      <TableHead>
        <TableRow>
          {props.tableHead.map((cell, i) => (
            <TableCell key={`${props.id}-header-column-${i}-${cell}`}>{cell}</TableCell>
          ))}
        </TableRow>
      </TableHead>
      <TableBody>
        {props.tableBody.map((row, rowI) => (
          <TableRow key={`${props.id}-row-${rowI}`} onClick={() => props.rowClickHandler(rowI)} hover>
            {row.map((cell, cellI) => (
              <TableCell key={`${props.id}-row${rowI}-column${cellI}-${cell}`} className={props.classes.tableCell}>
                {cell}
              </TableCell>
            ))}
          </TableRow>
        ))}
      </TableBody>
    </Table>
  </Paper>
);

export default genericTable;
