import React, { FunctionComponent } from 'react';
import { Props } from './WarningMessage.interface';
import { Typography, Grid, Icon } from '@material-ui/core';

export const WarningMessage: FunctionComponent<Props> = props => {
  const { classes, helperText } = props;
  const isErrorWar = (classType: string) => {
    if (classType === 'errorwar') {
      return classes.error;
    } else {
      return classes[classType];
    }
  };

  return (
    <Grid container className={classes.helper}>
      {helperText.icon && (
        <Icon
          className={`${helperText.type && isErrorWar(helperText.type)} ${classes.icon}`}
          fontSize={helperText.fontSize}
        >
          {helperText.icon}
        </Icon>
      )}
      <Typography className={`${helperText.type && classes[helperText.type]} ${classes.typography}`}>
        {props.helperMessages[helperText.content]}
      </Typography>
    </Grid>
  );
};

export default WarningMessage;
