import React from 'react';
import { shallow } from 'enzyme';
import { Grid, Typography, Icon } from '@material-ui/core';

import WarningMessage from './WarningMessage.component';
import { Props } from './WarningMessage.interface';

describe('WarningMessage', () => {
  let props: Props;
  beforeEach(() => {
    props = {
      helperText: {
        content: 'test',
      },
      helperMessages: {
        test: 'This is a traducted message',
      },
      classes: {
        helper: 'helper',
        icon: 'icon',
        warning: 'warning',
        error: 'error',
        typography: 'typography',
      },
    };
  });
  it('should generate an helper text', () => {
    const wrapper = shallow(<WarningMessage {...props} />);
    expect(wrapper.find(Grid)).toHaveLength(1);
    expect(wrapper.find(Typography)).toHaveLength(1);
  });
  it('should generate an helper text with an icon', () => {
    props.helperText.icon = 'code';
    const wrapper = shallow(<WarningMessage {...props} />);
    expect(wrapper.find(Grid)).toHaveLength(1);
    expect(wrapper.find(Icon)).toHaveLength(1);
    expect(wrapper.find(Typography)).toHaveLength(1);
  });
});
