import React from 'react';
import { shallow } from 'enzyme';
import ErrorComp from './Error';
import { Grid, Paper } from '@material-ui/core';

describe('ErrorComp', () => {
  it('should generate a Error component', () => {
    const props = {
      classes: {
        container: '',
        paper: '',
      },
      errorMessage: 'test',
      messages: {
        test: 'This is a test',
      },
    };
    const wrapper = shallow(<ErrorComp {...props} />);
    expect(wrapper.find(Grid)).toHaveLength(1);
    expect(wrapper.find(Paper)).toHaveLength(1);
    expect(
      wrapper
        .find(Paper)
        .render()
        .text(),
    ).toBe('This is a test');
  });
});
