import React, { FunctionComponent } from 'react';
import PropTypes from 'prop-types';
import { Grid, Paper } from '@material-ui/core';
import { WithStyles } from '@material-ui/core/styles';
import { styles } from './Error.container';

export interface Props extends WithStyles<typeof styles> {
  errorMessage: string;
  messages: { [key: string]: string };
}

export const error: FunctionComponent<Props> = props => (
  <Grid container className={props.classes.container} justify="center" alignItems="center">
    <Paper className={props.classes.paper}>{props.messages[props.errorMessage]}</Paper>
  </Grid>
);

error.propTypes = {
  classes: PropTypes.object.isRequired,
  errorMessage: PropTypes.string,
  messages: PropTypes.object,
} as any;

export default error;
