import React, { StatelessComponent } from 'react';
import Grid from '@material-ui/core/Grid';
import Button from '@material-ui/core/Button';

import Props from './HomePage.interface';

const HomePage: StatelessComponent<Props> = props => {
  const { history, location, redirectToPRListButtonLabel } = props;
  return (
    <Grid item xs={12}>
      <Button
        size="small"
        color="primary"
        variant="outlined"
        onClick={() => history.push(`${location.pathname}purchases/`)}
      >
        {redirectToPRListButtonLabel}
      </Button>
    </Grid>
  );
};

export default HomePage;
