import React from 'react';
import { ShallowWrapper, shallow } from 'enzyme';
import Button from '@material-ui/core/Button';

import HomePage from './HomePage.component';
import Props from './HomePage.interface';

describe('HomePage', () => {
  let wrapper: ShallowWrapper;
  let props: Props;

  beforeEach(() => {
    props = {
      history: {
        push: jest.fn(),
      },
      location: {
        pathname: 'app-root/',
      },
      classes: {},
      redirectToPRListButtonLabel: 'liste des demandes',
    };
    wrapper = shallow(<HomePage {...props} />);
  });

  it('should render a page with a single button redirecting to purchases page', () => {
    expect(wrapper.find(Button)).toHaveLength(1);
    wrapper.find(Button).simulate('click');
    expect(props.history.push).toHaveBeenCalledWith(`app-root/purchases/`);
  });
});
