import { connect } from 'react-redux';
import Home from './Home';
import { fetchAllTasksEffect, setTaskEffect } from './../../../redux/tasks';
import { RouteComponentProps } from 'react-router';
import { findPREffect, createPREffect, fetchAllRequestEffect } from './../../../redux/purchaseRequests';

export interface Props extends RouteComponentProps {
  userTasks: any[];
  userPRs: any[];
  fetchAllTasks: any;
  setActiveTask: any;
  findPREffect: any;
  createPREffect: any;
  createPRButtonMessage: string;
  fetchAllPRs: any;
  tasksTableMessages: {
    [key: string]: string;
  };
}

const mapStateToProps = (state: any) => ({
  userTasks: state.tasks.userTasks,
  createPRButtonMessage: state.intl.messages.buttons.createPurchaseRequest,
  tasksTableMessages: state.intl.messages.tasks.table,
  userPRs: state.purchaseRequests.userPRs,
});

const mapDispatchToProps = (dispatch: any) => ({
  fetchAllTasks: () => dispatch(fetchAllTasksEffect()),
  setActiveTask: (task: any) => dispatch(setTaskEffect(task)),
  findPREffect: (businessKey: string) => dispatch(findPREffect(businessKey)),
  createPREffect: () => dispatch(createPREffect()),
  fetchAllPRs: () => dispatch(fetchAllRequestEffect()),
});

export default connect(
  mapStateToProps,
  mapDispatchToProps,
)(Home);
