import React, { FunctionComponent } from 'react';
import PropTypes from 'prop-types';
import { Grid, CircularProgress } from '@material-ui/core';
import { styles } from './Loader.container';
import { WithStyles } from '@material-ui/core/styles';

export interface Props extends WithStyles<typeof styles> {}

export const loader: FunctionComponent<Props> = props => (
  <Grid container className={props.classes.container} justify="center" alignItems="center">
    <CircularProgress />
  </Grid>
);

loader.propTypes = {
  classes: PropTypes.object.isRequired,
} as any;

export default loader;
