import { connect } from 'react-redux';
import Publish from './Publish';
import { RouteComponentProps, withRouter } from 'react-router';
import { findPREffect } from '../../../redux/purchaseRequests';
import { publishTaskEffect } from '../../../redux/tasks';

interface MatchParams {
  PRID: string;
}

export interface Props extends RouteComponentProps<MatchParams> {
  buttonsMessages: {
    [key: string]: string;
  };
  activePR: any;
  findPR: any;
  publish: any;
}

const mapStateToProps = (state: any) => ({
  buttonsMessages: state.intl.messages.buttons,
  activePR: state.purchaseRequests.activePR,
});

const mapDispatchToProps = (dispatch: any) => ({
  findPR: (prID: string) => dispatch(findPREffect(prID)),
  publish: () => dispatch(publishTaskEffect()),
});

export default withRouter(
  connect(
    mapStateToProps,
    mapDispatchToProps,
  )(Publish),
);
