import React from 'react';
import Publish, { publishTask } from './Publish';
import { shallow } from 'enzyme';
import { Grid, Button } from '@material-ui/core';
import { Props } from './Publish.container';
import createRouterContext from 'react-router-test-context';
import Loader from './../loader';

describe('Publish', () => {
  let props: Props;
  beforeEach(() => {
    const context = createRouterContext();
    props = {
      ...context,
      history: {
        push: jest.fn(),
      },
      buttonsMessages: {
        publish: 'publish',
        back: 'back',
      },
      publish: jest.fn(),
    };
  });
  it('should load', () => {
    const wrapper = shallow(<Publish {...props} />);
    expect(wrapper.find(Grid).length).toEqual(1);
    expect(wrapper.find(Loader).length).toEqual(1);
  });
  // it('should push to "/" when there is a click on the back button', () => {
  //   const wrapper = shallow(<Publish {...props} />);
  //   expect(props.history.push).toHaveBeenCalledTimes(0);
  //   wrapper
  //     .find(Button)
  //     .at(1)
  //     .simulate('click');
  //   expect(props.history.push).toHaveBeenCalledTimes(1);
  //   expect(props.history.push).toHaveBeenLastCalledWith('/');
  // });
  // it('should publish when clicking on "publish" button', () => {
  //   const wrapper = shallow(<Publish {...props} />);
  //   expect(props.publish).toHaveBeenCalledTimes(0);
  //   wrapper
  //     .find(Button)
  //     .at(0)
  //     .simulate('click');
  //   expect(props.publish).toHaveBeenCalledTimes(1);
  // });
});

describe('publishTask()', () => {
  it('should return null', () => {
    expect(publishTask(null)).toBeNull();
  });
  it('should return false', () => {
    const activePRTest = {
      tasks: [
        {
          name: 'not publish task',
        },
      ],
    };
    expect(publishTask(activePRTest)).toBeFalsy();
  });
  it('should return true', () => {
    const activePRTest2 = {
      tasks: [
        {
          name: 'UserTask_PublishProposalRequest',
        },
      ],
    };
    expect(publishTask(activePRTest2)).toBeTruthy();
  });
});
