import React, { FunctionComponent, useEffect, useState } from 'react';
import { Grid, Button } from '@material-ui/core';
import { Props } from './Publish.container';
import Loader from './../loader';

export const publish: FunctionComponent<Props> = props => {
  const { buttonsMessages, match, activePR, findPR, publish } = props;
  const [publishablePR, setPublishablePR] = useState(false);
  // We can't do that yet, there are some issues with camunda. They don't send all
  // the tasks in a PR so we can't check if there is a PublishProposalRequest one

  useEffect(() => {
    const matchPrId = match.isExact && match.params.PRID;
    if (props.activePR === null || props.activePR.prId !== matchPrId) {
      findPR(matchPrId);
    }
  }, []);

  useEffect(() => {
    // NEED REWORK, THE TASK ARE NOT IN THE DTO ANYMORE
    const hasAPublishTask = publishTask(activePR);
    if (activePR && hasAPublishTask === true) {
      setPublishablePR(true);
    }
    // We reroute to the home page if there is no publish task,
    // It will need an error messsage later
    if (activePR && hasAPublishTask === false) {
      props.history.push('/');
    }
  });
  return (
    <Grid container justify="space-evenly" alignItems="center">
      {activePR && publishablePR ? (
        <>
          <Button variant="contained" onClick={publish}>
            {buttonsMessages.publish}
          </Button>
          <Button variant="contained" onClick={() => props.history.push('/')}>
            {buttonsMessages.back}
          </Button>
        </>
      ) : (
        <Loader />
      )}
    </Grid>
  );
};

export const publishTask = (activePR: any) => {
  let hasAPublishTask = null;
  activePR &&
    activePR.tasks.forEach(
      (task: { id: string; name: string }) => (hasAPublishTask = task.name === 'UserTask_PublishProposalRequest'),
    );
  return hasAPublishTask;
};

export default publish;
