import { connect } from 'react-redux';
import PurchaseRequest from './PurchaseRequest';
import { RouteComponentProps } from 'react-router';
import { findPREffect, updatePREffect, resetPurchaseEffect } from '../../../redux/purchaseRequests';

interface MatchParams {
  PRID: string;
}

export interface Props extends RouteComponentProps<MatchParams> {
  activePR: any;
  findPR: (prId: string) => void;
  updatePR: (activePR: any) => void;
  loader: boolean;
  resetPurchase: () => void;
}

const mapStateToProps = (state: any) => ({
  activePR: state.purchaseRequests.activePR,
  loader: state.prModels.loader,
});

const mapDispatchToProps = (dispatch: any) => ({
  findPR: (prID: string) => dispatch(findPREffect(prID)),
  updatePR: (activePR: any) => dispatch(updatePREffect(activePR)),
  resetPurchase: () => dispatch(resetPurchaseEffect()),
});

export default connect(
  mapStateToProps,
  mapDispatchToProps,
)(PurchaseRequest);
