import PrFooter from './PrFooter';
import { withRouter } from 'react-router';
import { connect } from 'react-redux';
import { savePREffect, pushToValidationEffect } from '../../../../redux/purchaseRequests';
import { publishTaskEffect } from '../../../../redux/tasks';

const mapStateToProps = (state: any) => {
  return {
    buttonsMessages: state.intl.messages.buttons,
    prIsValid: state.prModels.prIsValid,
    activePr: state.purchaseRequests.activePR,
  };
};

const mapDispatchToProps = (dispatch: any) => ({
  savePR: () => dispatch(savePREffect()),
  pushToValidation: () => dispatch(pushToValidationEffect()),
  publishPurchase: () => dispatch(publishTaskEffect()),
});

export default withRouter(
  connect(
    mapStateToProps,
    mapDispatchToProps,
  )(PrFooter),
);
