import React from 'react';
import PrFooter from './PrFooter';
import { shallow } from 'enzyme';
import Footer from '../../../commons/navigation/footer';
import createRouterContext from 'react-router-test-context';
import { Props as PrFooterProps } from './PrFooter.interface';

describe('PrFooter', () => {
  let props: PrFooterProps;
  beforeEach(() => {
    const context = createRouterContext();
    props = {
      ...context,
      location: {
        pathname: '/purchase/PR-00000001',
      },
      match: {
        params: {
          PRID: 'PR-00000001',
        },
      },
      savePR: jest.fn(),
      pushToValidation: jest.fn(),
      classes: {
        button: 'string',
        sticky: 'string',
      },
      activePr: {
        lastModifiedOn: '2019/01/01',
      },
    };
  });
  it('should render the generic footer', () => {
    const wrapper = shallow(<PrFooter {...props} />);
    expect(wrapper.find(Footer).length).toEqual(1);
  });
  it('should manage each route', () => {
    props.location.pathname = '/purchase/PR-00000001/suppliers';
    shallow(<PrFooter {...props} />);
    props.location.pathname = '/purchase/PR-00000001/summary';
    shallow(<PrFooter {...props} />);
  });
});
