import React, { FunctionComponent } from 'react';
import { Props as PrFooterProps } from './PrFooter.interface';
import Footer from '../../../commons/navigation/footer';
import { ButtonType } from '../../../commons/navigation/footer/Footer.interface';

export const prFooter: FunctionComponent<PrFooterProps> = props => {
  const { location, match, activePr } = props;
  const getFooterProps = () => {
    const { pathname } = location;
    const prId = match.params.PRID;
    const leftArrow =
      pathname === `/purchase/${prId}`
        ? null
        : pathname === `/purchase/${prId}/suppliers`
        ? `/purchase/${prId}#prDescriptionSection`
        : `/purchase/${prId}/suppliers`;
    const rightArrow =
      pathname === `/purchase/${prId}`
        ? `/purchase/${prId}/suppliers`
        : pathname === `/purchase/${prId}/suppliers` && activePr.status === 'DRAFT'
        ? `/purchase/${prId}/summary?panel=validation`
        : pathname === `/purchase/${prId}/suppliers` && activePr.status === 'PENDING_PUBLICATION'
        ? `/purchase/${prId}/summary?panel=publication`
        : null;
    let buttons: ButtonType[] = [
      {
        action: props.savePR,
        label: 'save',
      },
    ];
    if (pathname === `/purchase/${prId}/summary`) {
      activePr.status === 'DRAFT' &&
        buttons.push({
          action: props.pushToValidation,
          label: 'sendToValidation',
          variant: 'contained',
          classe: 'saphire',
          disabled: !props.prIsValid,
        });
      activePr.status === 'PENDING_PUBLICATION' &&
        buttons.push({
          action: props.publishPurchase,
          label: 'publish',
          variant: 'contained',
          classe: 'saphire',
          // disabled: !props.prIsValid,
        });
    }

    const lastSaved = activePr && activePr.lastModifiedOn;
    return {
      leftArrow,
      rightArrow,
      buttons,
      lastSaved,
    };
  };

  return <Footer {...getFooterProps()} />;
};

export default prFooter;
