import { connect } from 'react-redux';
import section from './Section';
import { withStyles, createStyles, WithStyles, Theme } from '@material-ui/core/styles';
import { withRouter, RouteComponentProps } from 'react-router';

export interface Props extends WithStyles<typeof styles>, RouteComponentProps<any> {
  subsections: any;
  title: string;
  specificationHelperText: any;
  shouldDisplayValidStyle: any;
  prSpecificationIsValid: boolean;
}

export interface SectionState {
  prModels: {
    specificationIsValid: any;
  };
}

export const styles = (theme: Theme) =>
  createStyles({
    section: {
      margin: '1rem 1rem 0 1rem',
    },
    paper: {
      borderRadius: '0px',
    },
    validSection: {
      color: `${theme.palette.colors.success.main}`,
      marginBottom: '30px',
      borderBottomWidth: '0.18em',
      borderBottomColor: `${theme.palette.colors.success.main}`,
      borderBottomStyle: 'solid',
    },
    invalidSection: {
      color: `${theme.palette.colors.socgenred.main}`,
      marginBottom: '30px',
      borderBottomWidth: '0.18em',
      borderBottomColor: `${theme.palette.colors.socgenred.main}`,
      borderBottomStyle: 'solid',
    },
    subsections: {
      backgroundColor: theme.palette.background.paper,
      boxShadow: ' 0 2px 3px 0 rgba(0,0,0,0.14)',
    },
  });

const mapStateToProps = (state: SectionState) => ({
  prSpecificationIsValid: state.prModels.specificationIsValid.prSpecificationIsValid,
});

export default withStyles(styles)(
  withRouter(
    connect(
      mapStateToProps,
      null,
    )(section),
  ),
) as any;
