import React from 'react';
import { shallow } from 'enzyme';
import Section from './Section';
import { Grid } from '@material-ui/core';
import Title from './title';
import Subsection from './subsection/Subsection';

describe('Section', () => {
  it('should generate a section with title', () => {
    const props = {
      subsections: {
        aSusection: {},
      },
      title: 'Section test',
      specificationHelperText: {},
      classes: {
        section: '',
        subsections: '',
      },
    };
    const wrapper = shallow(<Section {...props} />);
    expect(wrapper.find(Grid)).toHaveLength(4);
    expect(wrapper.find(Title)).toHaveLength(1);
    expect(wrapper.find(Subsection)).toHaveLength(1);
  });
});
