import React from 'react';
import { shallow } from 'enzyme';
import Subsection from './Subsection';
import { Grid } from '@material-ui/core';
import Title from '../title';
import Inputs from './inputs';
import { Props } from './Subsection.interface';
import WarningMessage from '../../../../commons/warning-message';

describe('Subsection', () => {
  let props: Props;
  beforeEach(() => {
    props = {
      section: 'Section Test',
      title: 'Subsection test',
      specificationHelperText: {},
      helperText: null,
      inputs: {},
    };
  });
  it('should generate a section with title', () => {
    const wrapper = shallow(<Subsection {...props} />);
    expect(wrapper.find(Grid)).toHaveLength(4);
    expect(wrapper.find(Title)).toHaveLength(1);
    expect(wrapper.find(Inputs)).toHaveLength(1);
  });
  it('should generate a section with title and WarningMessage', () => {
    props.helperText = {
      content: 'test',
    };
    const wrapper = shallow(<Subsection {...props} />);
    expect(wrapper.find(Grid)).toHaveLength(5);
    expect(wrapper.find(Title)).toHaveLength(1);
    expect(wrapper.find(WarningMessage)).toHaveLength(1);
    expect(wrapper.find(Inputs)).toHaveLength(1);
  });
});
