import React, { FunctionComponent } from 'react';
import Title from '../title';
import Inputs from './inputs';
import Grid from '@material-ui/core/Grid';
import { Props } from './Subsection.interface';
import WarningMessage from '../../../../commons/warning-message';

export const subsection: FunctionComponent<Props> = props => (
  <Grid container>
    {!props.hideTitle && (
      <Grid item xs={12}>
        <Title title={props.title} specificationHelperText={props.specificationHelperText} type="subsection" />
      </Grid>
    )}
    {props.helperText && (
      <Grid item xs={12}>
        <WarningMessage helperText={props.helperText} />
      </Grid>
    )}
    <Grid item xs={12}>
      <Grid container>
        <Inputs inputsList={props.inputs} />
      </Grid>
    </Grid>
  </Grid>
);

export default subsection;
