import title from './Title';
import { withStyles, createStyles, WithStyles, Theme } from '@material-ui/core/styles';
import { connect } from 'react-redux';

export interface Props extends WithStyles<typeof styles> {
  title: string;
  specificationHelperText: any;
  type: string;
  titleMessages: {
    [key: string]: string;
  };
}

export const styles = (theme: Theme) =>
  createStyles({
    sectionTitle: {
      '& h1': {
        display: 'inline-block',
        fontSize: '28px',
        lineHeight: '36px',
        fontWeight: 'bold',
        color: '#000000',
      },
      '& h1:after': {
        content: "''",
        display: 'block',
        width: '34px',
        paddingTop: '1px',
        borderBottom: `5px solid ${theme.palette.colors.socgenred.main}`,
      },
    },
    subsectionTitle: {
      '& h2': {
        display: 'inline-block',
        fontSize: '21px',
        lineHeight: '27px',
        fontWeight: 'bold',
        paddingLeft: '1rem',
        color: '#000000',
      },
    },
  });

const mapStateToProps = (state: any) => {
  return {
    titleMessages: state.intl.messages.purchase.titles,
  };
};

export default withStyles(styles)(
  connect(
    mapStateToProps,
    null,
  )(title),
);
