import React, { FunctionComponent } from 'react';
import { Grid } from '@material-ui/core';
import { Props } from './Title.container';
import SpecificationHelperText from './specification-helper-text';

export const title: FunctionComponent<Props> = props => {
  const { classes, type, titleMessages, title } = props;
  return (
    <Grid container>
      <Grid
        item
        xs
        className={
          type === 'section' ? classes.sectionTitle : type === 'subsection' ? classes.subsectionTitle : undefined
        }
      >
        {type === 'section' ? <h1>{titleMessages[title]}</h1> : <h2>{titleMessages[title]}</h2>}
        <SpecificationHelperText position="left" specificationHelperText={props.specificationHelperText} />
      </Grid>
      <Grid item xs>
        <SpecificationHelperText position="right" specificationHelperText={props.specificationHelperText} />
      </Grid>
    </Grid>
  );
};

export default title;
