import SpecificationHelperText from './SpecificationHelperText';
import { withStyles, createStyles, WithStyles, Theme } from '@material-ui/core/styles';
import { connect } from 'react-redux';

export interface Props extends WithStyles<typeof styles> {
  position: string;
  specificationHelperText: any;
  helperMessages: {
    [key: string]: string;
  };
}

export const styles = (theme: Theme) =>
  createStyles({
    helperDiv: {
      fontSize: '14px',
      lineHeight: '18px',
      color: '#3B3737',
      height: '100%',
    },
    helperIcon: {
      fontSize: '18px !important',
      lineHeight: '18px',
      marginRight: theme.spacing.unit * 2,
    },
    helperSpan: {
      color: '#9B9B9B',
      fontSize: '12px',
      lineHeight: '17px',
      marginLeft: theme.spacing.unit,
    },
  });

const mapStateToProps = (state: any) => {
  return {
    helperMessages: state.intl.messages.purchase.helperMessages,
  };
};

export default withStyles(styles)(
  connect(
    mapStateToProps,
    null,
  )(SpecificationHelperText),
);
