import React from 'react';
import { shallow } from 'enzyme';
import SpecificationHelperText from './SpecificationHelperText';
import Grid from '@material-ui/core/Grid';
import HelpIcon from '@material-ui/icons/Help';

describe('SpecificationHelperText', () => {
  it('should generate a span helper text', () => {
    const props = {
      position: 'left',
      specificationHelperText: {
        position: 'left',
        content: 'test',
      },
      helperMessages: {
        test: 'Helper Content',
      },
      classes: {
        helperContent: '',
        helperDiv: '',
        helperSpan: '',
        helperIcon: '',
      },
    };
    const wrapper = shallow(<SpecificationHelperText {...props} />);
    expect(wrapper.find(Grid)).toHaveLength(0);
    expect(wrapper.find(HelpIcon)).toHaveLength(0);
    expect(wrapper.find('span')).toHaveLength(1);
  });
  it('should generate a span helper text', () => {
    const props = {
      position: 'right',
      specificationHelperText: {
        position: 'right',
        content: 'test',
      },
      helperMessages: {
        test: 'Helper Content',
      },
      classes: {
        helperContent: '',
        helperDiv: '',
        helperSpan: '',
        helperIcon: '',
      },
    };
    const wrapper = shallow(<SpecificationHelperText {...props} />);
    expect(wrapper.find(Grid)).toHaveLength(1);
    expect(wrapper.find(HelpIcon)).toHaveLength(1);
    expect(wrapper.find('span')).toHaveLength(1);
  });
  it('should generate a span helper text', () => {
    const props = {
      position: 'right',
      specificationHelperText: null,
      helperMessages: {
        test: 'Helper Content',
      },
      classes: {
        helperContent: '',
        helperDiv: '',
        helperSpan: '',
        helperIcon: '',
      },
    };
    const wrapper = shallow(<SpecificationHelperText {...props} />);
    expect(wrapper.find(Grid)).toHaveLength(0);
    expect(wrapper.find(HelpIcon)).toHaveLength(0);
    expect(wrapper.find('span')).toHaveLength(0);
    expect(wrapper.html()).toBeNull();
  });
});
