import React, { FunctionComponent } from 'react';
import { Grid } from '@material-ui/core';
import HelpIcon from '@material-ui/icons/Help';
import { Props } from './SpecificationHelperText.container';

export const specificationHelperText: FunctionComponent<Props> = props => {
  const { position, specificationHelperText, classes, helperMessages } = props;
  let specificationHelperTextContent = null;
  if (specificationHelperText) {
    const helperContent = helperMessages[specificationHelperText.content];
    if (position === specificationHelperText.position && position === 'left') {
      specificationHelperTextContent = <span className={classes.helperSpan}>{helperContent}</span>;
    }
    if (position === specificationHelperText.position && position === 'right') {
      specificationHelperTextContent = (
        <Grid container justify="flex-end" alignItems="center" className={classes.helperDiv}>
          <HelpIcon className={classes.helperIcon} />
          <span>{helperContent}</span>
        </Grid>
      );
    }
  }
  return specificationHelperTextContent;
};

export default specificationHelperText;
