import React from 'react';
import { shallow } from 'enzyme';
import { InputsReadOnly } from '../../../../redux/prModels/prModels.interfaces';

import SummaryPublication from './SummaryPublication.component';
import ExpansionPanel from '@material-ui/core/ExpansionPanel';

describe('SummaryPublication', () => {
  let props: {
    index: number;
    classes: any;
    history: any;
    match: any;
    location: any;
    publicationPanelLabels: {
      publicationPanelTitle: string;
      publicationPanelSubTitle: string;
      publicationPlanningPanelTitle: string;
      attachmentPublicationPanelTitle: string;
      suppliersPublicationPanelTitle: string;
      modifyDateButtonPublication: string;
    };
    purchaseMessages: any;
    inputsReadOnly: InputsReadOnly;
    activePR: any;
  };

  beforeEach(() => {
    props = {
      index: 1,
      classes: {},
      location: '',
      history: {},
      match: {
        isExact: true,
        params: {
          PRID: 'PR-000000011',
        },
        path: '/purchase/:PRID/summary',
        url: '/purchase/PR-000000011/summary',
      },
      publicationPanelLabels: {
        publicationPanelTitle: 'string',
        publicationPanelSubTitle: 'string',
        publicationPlanningPanelTitle: 'string',
        attachmentPublicationPanelTitle: 'string',
        suppliersPublicationPanelTitle: 'string',
        modifyDateButtonPublication: 'string',
      },
      purchaseMessages: {},
      inputsReadOnly: {
        muiPropsCustomConf: {
          disabled: true,
        },
      },
      activePR: {},
    };
  });

  it('should render one ExpansionPanel', () => {
    const wrapper = shallow(<SummaryPublication index={1} {...props} />);
    expect(wrapper.find(ExpansionPanel)).toHaveLength(1);
  });
});
