import React from 'react';
import { shallow } from 'enzyme';
import { InputsReadOnly } from '../../../../redux/prModels/prModels.interfaces';

import SummaryValidation from './SummaryValidation.component';
import ExpansionPanel from '@material-ui/core/ExpansionPanel';

describe('SummaryValidation', () => {
  let props: {
    history: any;
    match: any;
    location: any;
    index: number;
    classes: any;
    validationPanelLabels: {
      validationPanelTitle: string;
      validationPanelSubTitle: string;
      attachmentValidationPanelTitle: string;
      validatorsPanelTitle: string;
      modifyButtonValidationPanelTitle: string;
    };
    purchaseMessages: any;
    fileUploadMessages: {
      [key: string]: string;
    };
    inputsReadOnly: InputsReadOnly;
    activePR: any;
  };

  beforeEach(() => {
    props = {
      location: '',
      history: {},
      match: {
        isExact: true,
        params: {
          PRID: 'PR-000000011',
        },
        path: '/purchase/:PRID/summary',
        url: '/purchase/PR-000000011/summary',
      },
      index: 1,
      classes: {},
      validationPanelLabels: {
        validationPanelTitle: 'string',
        validationPanelSubTitle: 'string',
        attachmentValidationPanelTitle: 'string',
        validatorsPanelTitle: 'string',
        modifyButtonValidationPanelTitle: 'string',
      },
      purchaseMessages: {},
      fileUploadMessages: {},
      inputsReadOnly: {
        muiPropsCustomConf: {
          validation: {},
          disabled: true,
        },
      },
      activePR: {},
    };
  });

  it('should render one ExpansionPanel', () => {
    const wrapper = shallow(<SummaryValidation index={1} {...props} />);
    expect(wrapper.find(ExpansionPanel)).toHaveLength(1);
  });
});
