import React from 'react';
import { shallow } from 'enzyme';
import SummaryValidators from './SummaryValidators.component';
import CardContent from '@material-ui/core/CardContent';

describe('SummaryValidators', () => {
  let props: {
    index: number;
    classes: any;
    activePR: any;
    validationProcess: {
      businessApprovals: [
        {
          approvalType: string;
          approverAction: string;
          comments: string;
          createdOn: string;
          order: number;
          userEntityCode: number;
          userId: number;
        }
      ];
      financialApprovals: [
        {
          approvalType: string;
          approverAction: string;
          comments: string;
          createdOn: string;
          order: number;
          userEntityCode: number;
          userId: number;
        }
      ];
    };
    validatorsLabels: any;
    history: any;
    match: any;
    location: any;
  };

  beforeEach(() => {
    props = {
      location: '',
      history: {},
      match: {
        isExact: true,
        params: {
          PRID: 'PR-000000011',
        },
        path: '/purchase/:PRID/summary',
        url: '/purchase/PR-000000011/summary',
      },
      index: 1,
      classes: {},
      activePR: {},
      validationProcess: {
        businessApprovals: [
          {
            approvalType: 'string',
            approverAction: 'string',
            comments: 'string',
            createdOn: 'string',
            order: 1,
            userEntityCode: 1,
            userId: 1,
          },
        ],
        financialApprovals: [
          {
            approvalType: 'string',
            approverAction: 'string',
            comments: 'string',
            createdOn: 'string',
            order: 1,
            userEntityCode: 1,
            userId: 1,
          },
        ],
      },
      validatorsLabels: {},
    };
  });

  it('should render one Validators Component', () => {
    const wrapper = shallow(<SummaryValidators index={1} {...props} />);
    expect(wrapper.find(CardContent)).toHaveLength(2);
  });
});
