import { connect } from 'react-redux';
import Validation from './Validation';
import { RouteComponentProps, withRouter } from 'react-router';
import { findPREffect } from '../../../redux/purchaseRequests';
import { approveTaskEffect } from './../../../redux/tasks';

interface MatchParams {
  PRID: string;
}

export interface Props extends RouteComponentProps<MatchParams> {
  buttonsMessages: {
    [key: string]: string;
  };
  approveTask: any;
  activePR: any;
  findPR: any;
}

const mapStateToProps = (state: any) => ({
  buttonsMessages: state.intl.messages.buttons,
  activePR: state.purchaseRequests.activePR,
});

const mapDispatchToProps = (dispatch: any) => ({
  findPR: (prID: string) => dispatch(findPREffect(prID)),
  approveTask: () => dispatch(approveTaskEffect()),
});

export default withRouter(
  connect(
    mapStateToProps,
    mapDispatchToProps,
  )(Validation),
);
