import React from 'react';
import Validation, { validationTask } from './Validation';
import { shallow } from 'enzyme';
import { Grid, Button } from '@material-ui/core';
import { Props } from './Validation.container';
import createRouterContext from 'react-router-test-context';
import Loader from './../loader';

describe('Validation', () => {
  let props: Props;
  beforeEach(() => {
    const context = createRouterContext();
    props = {
      ...context,
      history: {
        push: jest.fn(),
      },
      activePR: {
        tasks: [
          {
            id: 'taskID',
            name: 'UserTask_ApproverValidation',
          },
        ],
      },
      buttonsMessages: {
        approve: 'approve',
        reject: 'reject',
        back: 'back',
      },
    };
  });
  it('should load', () => {
    const wrapper = shallow(<Validation {...props} />);
    expect(wrapper.find(Grid).length).toEqual(1);
    expect(wrapper.find(Loader).length).toEqual(1);
  });
  // it('should render 3 buttons', () => {
  //   const wrapper = shallow(<Validation {...props} />);
  //   expect(wrapper.find(Grid).length).toEqual(1);
  //   expect(wrapper.find(Button).length).toEqual(3);
  // });
  // it('should do the back action on the back button click', () => {
  //   const wrapper = shallow(<Validation {...props} />);
  //   expect(props.history.push).toHaveBeenCalledTimes(0);
  //   wrapper
  //     .find(Button)
  //     .at(2)
  //     .simulate('click');
  //   expect(props.history.push).toHaveBeenCalledTimes(1);
  //   expect(props.history.push).toHaveBeenLastCalledWith('/');
  // });
});
describe('validationTask()', () => {
  it('should return null', () => {
    expect(validationTask(null)).toBeNull();
  });
  it('should return false', () => {
    const activePRTest = {
      tasks: [
        {
          name: 'not a validation task',
        },
      ],
    };
    expect(validationTask(activePRTest)).toBeFalsy();
  });
  it('should return true', () => {
    const activePRTest = {
      tasks: [
        {
          name: 'UserTask_ApproverValidation',
        },
      ],
    };
    expect(validationTask(activePRTest)).toBeTruthy();
  });
});
