import { AxiosRequestConfig } from 'axios';

export interface AuthenticationToken {
  accessToken: string | null;
  [propName: string]: any;
}

export interface AuthenticationManager {
  getAuthenticationToken: () => Promise<AuthenticationToken>;
}

export interface ApiRequesterManager {
  get: (url: string, options?: AxiosRequestConfig) => Promise<any>;
  put: (url: string, data?: any, options?: AxiosRequestConfig) => Promise<any>;
  post: (url: string, data?: any, options?: AxiosRequestConfig) => Promise<any>;
  delete: (url: string, options?: AxiosRequestConfig) => Promise<any>;
  upload: (url: string, files: any, options?: AxiosRequestConfig) => Promise<any>;
}
