import { addLocaleData } from 'react-intl';
import reactIntlEn from 'react-intl/locale-data/en';
import reactIntlFr from 'react-intl/locale-data/fr';
import Globals from './globals';
import ProjectPerimeter from './project-perimeter';
import SuppliersPerimeter from './suppliers-perimeter';
import TasksPerimeter from './tasks-perimeter';
import SummaryPerimeter from './summary-perimeter';
import NotificationCenterPerimeter from './notification-center';

addLocaleData([...reactIntlEn, ...reactIntlFr]);
const traductions = [
  Globals,
  ProjectPerimeter,
  SuppliersPerimeter,
  TasksPerimeter,
  SummaryPerimeter,
  NotificationCenterPerimeter,
];
const en = traductions.map(result => result.en).reduce((intl, key) => ({ ...intl, ...key }));
const fr = traductions.map(result => result.fr).reduce((intl, key) => ({ ...intl, ...key }));
const translationMessages: any = {
  en,
  fr,
};
export interface MessageKeyValue {
  [key: string]: string | MessageKeyValue;
}

export const userLocale = navigator.language.toLowerCase().split(/[_-]+/)[0];

export default translationMessages;
