const locale = {
  purchase: {
    helperMessages: {
      fieldsUsedForSpecification: 'Some fields will be used for the creation of the specifications.',
      ingratedIntoTheSpecifiactions: 'integrated into the specifications',
      planning: 'Click on a field to open the date picker then click on a date to select it.',
      selectingLeastThanThreeSupplier:
        "You must select at least 3 suppliers to comply with Group's consumption policy. On the contrary, you must formalize and document the reasons of the derogation request or liaise with your buyer who can help you complete the list of suppliers to invite.",
      selectingSupplierWithUnknownKYS:
        'At least one choosen supplier has not been assessed. Specific process will need to be handle before awarding to ensure that there is no risk, and could result in additional time or a no-go to proceeed with the supplier.',
      selectingSupplierWithRiskyKYS:
        'At least one choosen supplier has been assessed as risky. Specific validation from the risk manager (ORM) will be required before awarding, and could result in additional time or negative advice to proceed with the supplier.',
      selectingNotReferencedSupplier:
        'At least one choosen supplier has not a Societe Generale master agreement. We recommend to choose as a priority suppliers in the panel. On the contrary, the time to contractualize will be longer.',
      extensionCommentsWarning:
        'Your number of extension is higher than 2. According to Group’s consumption policy, you are not allowed to extend more than twice your contract and you should launch a new competitive tender with at least 3 suppliers. Otherwise, if you cannot reopen competition, you must provide strong justification of your derogation request.',
      projectName: 'Project name field',
      beneficiaryUserId: 'Beneficiary name field',
      contextComments: 'Context & Objectives field',
      deliveryComments: 'Deliverables field',
      locationComments: 'Location field',
      supplierOfferReceptionDateTime: "Supplier's offers reception date field",
      supplierOralStartDate: 'Suppliers orals start date field',
      supplierOralEndDate: 'Suppliers orals end date field',
      estimatedDateSupplierSelection: 'Estimated date of supplier selection field',
      estimatedContractSignatureDate: 'Estimated contract signature date field',
      projectStartDate: 'Start date of the project field',
      projectEndDate: 'End date field',
      contactId: 'Contact field',
      responseFormatComments: 'Expected response format field',
      isNotHundredPerCent: 'The total weight of business criteria should be equal to 100%',
      selectionCriteriaSection:
        'These criteria will allow you to select the supplier. You will not be able to modify it after sending the RFP, in accordance to the Code of conduct.',
      fileUpload:
        'Each attachment must not exceed 2 Mo. The authorized filex extensions are : doc, .docx, .jpg, .mpeg, .pdf, .png, .ppt, .pptx, .xls, .xlsx, .xlsb, .xltx, .xml, .txt, .msg ',
    },
    fileUpload: {
      fileUploadButton: 'Add attachment',
      fileDragMessage1: 'You can also',
      fileDragMessage2: 'Drag & Drop',
      fileDragMessage3: 'your files',
      fileTabName: 'FILENAME',
      fileTabWeight: 'WEIGHT',
      fileTabType: 'TYPE',
      fileTabDestination: 'DESTINATION',
      external_document: 'External supplier',
      internal_document: 'Internal',
      fileTabAction: 'ACTION',
    },
    specification: {
      downloadFileTopTextError:
        'Some missing informations are mandatory for the specification document. You can still download it to check the content consistency.',
      downloadFileTopTextSuccess:
        'All the mandatory informations for the specification document have been filled, the specification document is complete.',
      downloadFileBottomText: 'Download the specification document',
    },
    inputs: {
      errorTexts: {
        required: 'This field is required',
        superiorTo: 'This number is too small',
        isNotHundredPerCent: 'isNotHundredPerCent',
      },
      placeholders: {
        startTyping: 'Start typing...',
        notAvailable: 'N/A',
        operationNature: 'Collect of Personal information from end client',
        treatmentPurpose: 'Software maintenance',
        dataType: 'Name ; IP address ; login ; credit card number etc...',
        personCategory: 'End client of the Beneficiary',
        treatmentDuration: 'For the term of the contract',
        treatmentPlace: 'France, India, US etc...',
      },
      choices: {
        yes: 'Yes',
        no: 'No',
      },
      prId: 'Your request ID: ',
      projectName: 'Project name',
      projectCode: 'Project code',
      beneficiaryUserId: 'Beneficiary name',
      projectEntityCode: 'Entity in charge of the project',
      paymentEntityCode: 'Entity in charge of the payment',
      budgeted: 'Budgeted?',
      amount: 'Amount excluding tax (€)',
      estimatedNbMandays: 'Estimated number of mandays',
      dailyRate: 'Calculated mandays excluding tax',
      contractNatureCode: 'Request type',
      segmentNatureCode: 'Nature of Segment',
      assignmentTriggerCode: 'Trigger for Assigment',
      mifidCode: 'Market In Financial Instruments Directive (MIFID)',
      eosCode: 'Essential Outsource Services (EOS)',
      segmentTypeCode: 'Precise the type of segment',
      contractId: 'Contract number',
      extensionNumber: 'Extension number',
      extensionComments: 'Justification needed - extension number of contracts > 2',
      externalAssistanceComments: 'Justification for the use of external assistance',
      supplierComments: 'Justification',
      contextComments: 'Context & Objectives',
      deliveryComments: 'Deliverables',
      locationComments: 'Location',
      gdprEntrustedToProvider: 'Personal Data processing delegated to the supplier ?',
      operationNature: 'Type of Processing done on Personal data',
      treatmentPurpose: 'Purpose of the Processing',
      dataType: 'Category of Personal data',
      personCategory: 'Category of Data subjects',
      treatmentDuration: 'Duration of the Processing',
      treatmentPlace: 'Processing location',
      internalResourcesComments: 'Internal resources to support the provider',
      expectedRoiComments: 'Costs and benefits / Projected return on investment (qualitative / quantitative)',
      risksComments: 'Constraints and risks (Organizational, Technical, Interdependencies)',
      supplierOfferReceptionDateTime: "Supplier's offers reception date",
      supplierOralStartDate: 'Suppliers orals start date',
      supplierOralEndDate: 'Suppliers orals end date',
      estimatedDateSupplierSelection: 'Estimated date of supplier selection',
      estimatedContractSignatureDate: 'Estimated contract signature date',
      projectStartDate: 'Start date of the project',
      projectEndDate: 'End date',
      contactId: 'Contact',
      responseFormatComments: "Expected response's format",
      selectionCriteria: {
        percentage: 'PERCENTAGE',
        actions: 'ACTIONS',
        total: 'TOTAL',
        addCriteriaButton: 'add a criteria',
        validateAddCriteriaButton: 'Confirm',
        cancelAddCriteriaButton: 'Cancel',
        addCriteriaLabel: 'Please enter the new business criteria and the associated weigth',
        helpCriteriasMessages:
          'The gauge will define the weight of each selection criteria used in the choice of the supplier.',
      },
    },
    titles: {
      prDescriptionSection: 'Description of my request',
      prFileUploadSection: 'Attachments',
      prSpecificationSection: 'Specification Document',
      prFileUploadSubsectionExternal: 'External supplier',
      prFileUploadSubsectionInternal: 'Internal',
      generalInformationSubsection: 'General information',
      needsDescription: 'Needs description',
      complementaryInformation: 'Complementary information',
      prConsultationRules: 'Consultation rules',
      planning: 'Planning',
      selectionCriteria: 'Criterias of selection',
      contactAndResponse: "Contact and response's format",
      suppliersSelection: 'Suppliers selection',
      summary: 'Summary',
    },
    info: {
      lastRecord: 'Last record',
    },
  },
};

export default locale;
