import { DroppedFilesAction } from './droppedFiles.interfaces';

export const actionTypes = {
  DROPPEDFILES_CREATE_MODEL: 'DROPPEDFILES.CREATE_MODEL',
  DROPPEDFILES_DELETE_NEW_FILE_BY_INDEX: 'DROPPEDFILES.DELETE_NEW_FILE_BY_INDEX',
  DROPPEDFILES_RESET_NEW_FILES: 'DROPPEDFILES.RESET_NEW_FILES',
  DROPPEDFILES_GET_EXISTING_FILES: 'DROPPEDFILES.GET_EXISTING_FILES',
};

export const createDroppedFileModel = (payload: any): DroppedFilesAction =>
  ({
    type: actionTypes.DROPPEDFILES_CREATE_MODEL,
    payload,
  } as DroppedFilesAction);

export const resetNewFiles = (payload: any): DroppedFilesAction =>
  ({
    type: actionTypes.DROPPEDFILES_RESET_NEW_FILES,
    payload,
  } as DroppedFilesAction);

export const deleteNewFileByIndex = (payload: any): DroppedFilesAction =>
  ({
    type: actionTypes.DROPPEDFILES_DELETE_NEW_FILE_BY_INDEX,
    payload,
  } as DroppedFilesAction);

export const getExistingFiles = (payload: any): DroppedFilesAction =>
  ({
    type: actionTypes.DROPPEDFILES_GET_EXISTING_FILES,
    payload,
  } as DroppedFilesAction);
