import reducer from './index';
import { DroppedFilesState } from './droppedFiles.interfaces';
import { actionTypes } from './droppedFiles.actions';

describe('droppedFiles.reducer', () => {
  let initialState: DroppedFilesState;
  let payload: any;
  beforeEach(() => {
    initialState = {};
  });

  describe('DEFAULT case', () => {
    it('should return initial state when get an undefined action', () => {
      expect(
        reducer(undefined, {
          type: undefined,
          payload: undefined,
        }),
      ).toEqual(initialState);
    });
  });
  describe('actionTypes exist case', () => {
    it('should return the state with payload', () => {
      const model = {};
      expect(
        reducer(initialState, {
          type: actionTypes.DROPPEDFILES_CREATE_MODEL,
          payload: { model },
        }),
      ).toEqual({ ...initialState, model });
    });
  });
});
