import { Reducer } from 'redux';
import { actionTypes } from './droppedFiles.actions';
import { DroppedFilesAction, DroppedFilesState } from './droppedFiles.interfaces';

const initialState = {};

const reducer: Reducer<DroppedFilesState, DroppedFilesAction> = (state = initialState, action) => {
  // If the action.type exist in the actionTypes object we
  // update the state with the payload else we return the state
  if (Object.values(actionTypes).indexOf(action.type) !== -1) {
    return { ...state, ...action.payload };
  } else return state;
};

export default reducer;
