import { select, setBackIntl } from '../language/language.actions';
import translationMessages from '../../intl';
import { labelsParserFunc } from '../../services/parse-labels';
import { setBackCodesEffect } from '../prModels';

import { requester } from '../../helpers/api';

export const selectLang = (lang: string) => (dispatch: any, getState: any) => {
  const backFiltredIntl = getState().intl.backFiltredIntl;

  dispatch(
    select({
      locale: lang,
      messages: { ...translationMessages[lang] },
      messagesFromBack: { ...backFiltredIntl[lang] },
    }),
  );
};
export const getIntlFromBack = () => async (dispatch: any, getState: any) => {
  const state = getState();
  const lang = state.intl.locale;
  const getLabels = await requester.get('labels');
  const intlBackArray = getLabels.data;
  dispatch(setBackCodesEffect(intlBackArray));
  const backFiltredIntl = labelsParserFunc(intlBackArray);
  dispatch(setBackIntl({ backFiltredIntl, messagesFromBack: backFiltredIntl[lang] }));
};
