import { addOneNotification, deleteOneNotification } from '../notifications/notifications.actions';

export const getRandomId = () => new Date().getTime() + Math.random();

export const addOneNotificationEffectWrapper = (notification: { message: string[]; type: string }) => (
  dispatch: any,
) => {
  dispatch(addOneNotificationEffect(notification, getRandomId()));
};

export const addOneNotificationEffect = (notification: { message: string[]; type: string }, randomId: number) => (
  dispatch: any,
  getState: any,
) => {
  const state = getState().notifications;
  dispatch(
    addOneNotification({
      notifications: [
        ...state.notifications,
        {
          key: randomId,
          ...notification,
        },
      ],
    }),
  );
};

export const deleteOneNotificationEffect = (notificationKey: number) => (dispatch: any, getState: any) => {
  const state = getState();
  dispatch(
    deleteOneNotification({
      notifications: state.notifications.notifications.filter(
        (notification: any) => notification.key !== notificationKey,
      ),
    }),
  );
};
