import reducer from './index';
import { NotificationsState } from './notifications.interfaces';
import { actionTypes } from './notifications.actions';

describe('notifications.reducer', () => {
  let initialState: NotificationsState;
  let payload: any;
  beforeEach(() => {
    initialState = {
      notifications: [],
    };
  });

  describe('DEFAULT case', () => {
    it('should return initial state when get an undefined action', () => {
      expect(
        reducer(undefined, {
          type: undefined,
          payload: undefined,
        }),
      ).toEqual(initialState);
    });
  });
  describe('actionTypes exist case', () => {
    it('should return the state with payload', () => {
      const notifs = {};
      expect(
        reducer(initialState, {
          type: actionTypes.NOTIFICATION_ADD_ONE,
          payload: { notifs },
        }),
      ).toEqual({ ...initialState, notifs });
    });
  });
});
