import { Reducer } from 'redux';
import { actionTypes } from './notifications.actions';
import { NotificationsAction, NotificationsState } from './notifications.interfaces';

const initialState = {
  notifications: [],
};

const reducer: Reducer<NotificationsState, NotificationsAction> = (state = initialState, action) => {
  // If the action.type exist in the actionTypes object we
  // update the state with the payload else we return the state
  if (Object.values(actionTypes).indexOf(action.type) !== -1) {
    return { ...state, ...action.payload };
  } else return state;
};

export default reducer;
