import * as actions from './prModels.actions';
import { actionTypes } from './prModels.actions';

describe('prModels.actions', () => {
  it('should set inputsModels', () => {
    expect(actions.setInputsModel({ myPayload: 'Test SET inputsModel' })).toEqual({
      type: actionTypes.SET_INPUTS_MODEL,
      payload: { myPayload: 'Test SET inputsModel' },
    });
  });

  it('should edit the inputsModel', () => {
    expect(actions.editInputsModel({ myPayload: 'Test EDIT inputsModel' })).toEqual({
      type: actionTypes.EDIT_INPUTS_MODEL,
      payload: { myPayload: 'Test EDIT inputsModel' },
    });
  });

  it('should update an input', () => {
    expect(actions.updateInput({ myPayload: 'Test UPDATE an input' })).toEqual({
      type: actionTypes.UPDATE_INPUT,
      payload: { myPayload: 'Test UPDATE an input' },
    });
  });

  it('should toggle an input', () => {
    expect(actions.toggleTouched({ myPayload: 'Test TOGGLE an input' })).toEqual({
      type: actionTypes.TOGGLE_TOUCHED,
      payload: { myPayload: 'Test TOGGLE an input' },
    });
  });

  it('should update the suggestions of an input', () => {
    expect(actions.updateSuggestions({ myPayload: 'Test TOGGLE an input' })).toEqual({
      type: actionTypes.UPDATE_SUGGESTIONS,
      payload: { myPayload: 'Test TOGGLE an input' },
    });
  });

  it('should reset the suggestions of an input', () => {
    expect(actions.resetSuggestions({ myPayload: 'Test TOGGLE an input' })).toEqual({
      type: actionTypes.RESET_SUGGESTIONS,
      payload: { myPayload: 'Test TOGGLE an input' },
    });
  });

  it('should reset the inputs model', () => {
    expect(actions.resetInputsModel({ myPayload: 'Test TOGGLE an input' })).toEqual({
      type: actionTypes.RESET_INPUTS_MODEL,
      payload: { myPayload: 'Test TOGGLE an input' },
    });
  });
  it('should set the back codes', () => {
    expect(actions.setBackCodes({ myPayload: 'Test set back codes' })).toEqual({
      type: actionTypes.SET_BACK_CODES,
      payload: { myPayload: 'Test set back codes' },
    });
  });
});
