import { PrModelsAction } from './prModels.interfaces';

export const actionTypes = {
  SET_INPUTS_MODEL: 'SET.INPUTS_MODEL',
  EDIT_INPUTS_MODEL: 'EDIT_INPUTS_MODEL',
  UPDATE_INPUT: 'UPDATE_INPUT',
  UPDATE_SUGGESTIONS: 'UPDATE_SUGGESTIONS',
  TOGGLE_TOUCHED: 'TOGGLE_TOUCHED',
  RESET_SUGGESTIONS: 'RESET_SUGGESTIONS',
  RESET_INPUTS_MODEL: 'RESET_INPUTS_MODEL',
  SET_BACK_CODES: 'SET_BACK_CODES',
};

export const setInputsModel = (payload: any): PrModelsAction =>
  ({
    type: actionTypes.SET_INPUTS_MODEL,
    payload,
  } as PrModelsAction);

export const editInputsModel = (payload: any): PrModelsAction =>
  ({
    type: actionTypes.EDIT_INPUTS_MODEL,
    payload,
  } as PrModelsAction);

export const updateInput = (payload: any): PrModelsAction =>
  ({
    type: actionTypes.UPDATE_INPUT,
    payload,
  } as PrModelsAction);

export const toggleTouched = (payload: any): PrModelsAction =>
  ({
    type: actionTypes.TOGGLE_TOUCHED,
    payload,
  } as PrModelsAction);

export const updateSuggestions = (payload: any): PrModelsAction =>
  ({
    type: actionTypes.UPDATE_SUGGESTIONS,
    payload,
  } as PrModelsAction);

export const resetSuggestions = (payload: any): PrModelsAction =>
  ({
    type: actionTypes.RESET_SUGGESTIONS,
    payload,
  } as PrModelsAction);

export const resetInputsModel = (payload: any): PrModelsAction =>
  ({
    type: actionTypes.RESET_INPUTS_MODEL,
    payload,
  } as PrModelsAction);

export const setBackCodes = (payload: any): PrModelsAction =>
  ({
    type: actionTypes.SET_BACK_CODES,
    payload,
  } as PrModelsAction);
