import { InputRootProps } from './../../components/commons/input/inputRoot.interface';
import { AnyAction } from 'redux';

export interface PrModelsAction extends AnyAction {
  payload: PrModelsState | any;
}

interface InformationModel {
  [section: string]: {
    specificationHelperText: {
      position: string;
      content: string;
    } | null;
    subsections?: {
      [subsection: string]: {
        specificationHelperText: {
          position: string;
          content: string;
        } | null;
        helperText: {
          content: string;
          icon?: string;
          fontSize?: 'inherit' | 'default' | 'small' | 'large';
        } | null;
        inputs?: string[];
      };
    };
  };
}
export interface InputsReadOnly {
  [input: string]: InputRootProps;
}

export interface InputsModel {
  [key: string]: InputRootProps;
}

export interface PrModelsState {
  informationModel: InformationModel;
  inputsReadOnly: InputsReadOnly;
  suppliersModel: null;
  summaryModel: null;
  inputsModel: null | InputsModel;
  prIsValid: boolean;
  specificationIsValid: {
    invalidSpecificationInputs: any[];
    prSpecificationIsValid: boolean;
  };
  loader: boolean;
  backCodes: {
    [key: string]: string[];
  } | null;
}
