import reducer from './prModels.reducer';
import { PrModelsState } from './prModels.interfaces';
import informationModel from '../../template/prInformationModel';
import { actionTypes } from './prModels.actions';
import inputsModel from '../../template/inputsModel';
import inputsReadOnly from '../../template/inputsReadOnly';

describe('prModels.reducer', () => {
  let initialState: PrModelsState;
  beforeEach(() => {
    initialState = {
      informationModel: informationModel,
      inputsReadOnly: inputsReadOnly,
      suppliersModel: null,
      summaryModel: null,
      inputsModel: null,
      prIsValid: false,
      specificationIsValid: {
        invalidSpecificationInputs: [],
        prSpecificationIsValid: false,
      },
      loader: true,
      backCodes: null,
    };
  });

  describe('DEFAULT case', () => {
    it('should return initial state when get an undefined action', () => {
      expect(
        reducer(undefined, {
          type: undefined,
          payload: undefined,
        }),
      ).toEqual(initialState);
    });
  });
  describe('actionTypes exist case', () => {
    it('should return the state with payload', () => {
      expect(
        reducer(initialState, {
          type: actionTypes.SET_INPUTS_MODEL,
          payload: { inputsModel },
        }),
      ).toEqual({ ...initialState, inputsModel });
    });
  });
});
