import { Reducer } from 'redux';
import { actionTypes } from './prModels.actions';
import { PrModelsState, PrModelsAction } from './prModels.interfaces';
import informationModel from '../../template/prInformationModel';
import inputsReadOnly from '../../template/inputsReadOnly';

const initialState = {
  informationModel: informationModel,
  inputsReadOnly: inputsReadOnly,
  suppliersModel: null,
  summaryModel: null,
  inputsModel: null,
  prIsValid: false,
  specificationIsValid: {
    invalidSpecificationInputs: [],
    prSpecificationIsValid: false,
  },
  loader: true,
  backCodes: null,
};

const reducer: Reducer<PrModelsState, PrModelsAction> = (state = initialState, action) => {
  // If the action.type exist in the actionTypes object we
  // update the state with the payload else we return the state
  if (Object.values(actionTypes).indexOf(action.type) !== -1) {
    return { ...state, ...action.payload };
  } else return state;
};

export default reducer;
