import * as actions from './index';
import { actionTypes } from './purchaseRequests.actions';

describe('PurchaseRequests.actions', () => {
  it('should create a setPRs action', () => {
    expect(actions.setPRs({ myPayload: 'Test SET PRs' })).toEqual({
      type: actionTypes.PURCHASEREQUESTS.SET_ALL,
      payload: { myPayload: 'Test SET PRs' },
    });
  });

  it('should create a setPR action', () => {
    expect(actions.setPR({ myPayload: 'Test SET PR' })).toEqual({
      type: actionTypes.PURCHASEREQUESTS.SET,
      payload: { myPayload: 'Test SET PR' },
    });
  });

  it('should create a resetPR action', () => {
    expect(actions.resetPR({ myPayload: 'Test RESET PRs' })).toEqual({
      type: actionTypes.PURCHASEREQUESTS.RESET,
      payload: { myPayload: 'Test RESET PRs' },
    });
  });

  it('should create a updatePR action', () => {
    expect(actions.updatePR({ myPayload: 'Test UPDATE PR' })).toEqual({
      type: actionTypes.PURCHASEREQUESTS.UPDATE,
      payload: { myPayload: 'Test UPDATE PR' },
    });
  });
});
