import { PurchaseRequestsAction } from './purchaseRequests.interfaces';

export const actionTypes = {
  PURCHASEREQUESTS: {
    SET: 'PURCHASEREQUESTS.SET',
    SET_ALL: 'PURCHASEREQUESTS.SET_ALL',
    RESET: 'PURCHASEREQUESTS.RESET',
    UPDATE: 'PURCHASEREQUESTS.UPDATE',
  },
};

export const setPRs = (payload: any): PurchaseRequestsAction =>
  ({
    type: actionTypes.PURCHASEREQUESTS.SET_ALL,
    payload,
  } as PurchaseRequestsAction);

export const setPR = (payload: any): PurchaseRequestsAction => ({
  type: actionTypes.PURCHASEREQUESTS.SET,
  payload,
});

export const resetPR = (payload: any): PurchaseRequestsAction =>
  ({
    type: actionTypes.PURCHASEREQUESTS.RESET,
    payload,
  } as PurchaseRequestsAction);

export const updatePR = (payload: any): PurchaseRequestsAction =>
  ({
    type: actionTypes.PURCHASEREQUESTS.UPDATE,
    payload,
  } as PurchaseRequestsAction);
