import * as actions from './suppliers.actions';
import { actionTypes } from './suppliers.actions';

describe('Suppliers.actions', () => {
  it('should create a setTasks action', () => {
    expect(actions.setSuppliers({ myPayload: 'Test SET_ALL Suppliers' })).toEqual({
      type: actionTypes.SUPPLIERS.SET_ALL,
      payload: { myPayload: 'Test SET_ALL Suppliers' },
    });
  });
  it('should create a selectSupplier action', () => {
    expect(actions.selectSupplier({ myPayload: 'Test SELECT Suppliers' })).toEqual({
      type: actionTypes.SUPPLIERS.SELECT,
      payload: { myPayload: 'Test SELECT Suppliers' },
    });
  });
  it('should create a unSelectSupplier action', () => {
    expect(actions.unselectSupplier({ myPayload: 'Test UNSELECT Suppliers' })).toEqual({
      type: actionTypes.SUPPLIERS.UNSELECT,
      payload: { myPayload: 'Test UNSELECT Suppliers' },
    });
  });
  it('should create a changePage action', () => {
    expect(actions.changePageOfSuppliersList({ myPayload: 'Test CHANGE_PAGE Suppliers' })).toEqual({
      type: actionTypes.SUPPLIERS.CHANGE_PAGE,
      payload: { myPayload: 'Test CHANGE_PAGE Suppliers' },
    });
  });
  it('should create a filterByReference action', () => {
    expect(actions.setSuppliersReferencedFilter({ myPayload: 'Test FILTER_BY_REFERENCE Suppliers' })).toEqual({
      type: actionTypes.SUPPLIERS.FILTER_BY_REFERENCE,
      payload: { myPayload: 'Test FILTER_BY_REFERENCE Suppliers' },
    });
  });
  it('should create a search action', () => {
    expect(actions.searchForSuppliers({ myPayload: 'Test SEARCH Suppliers' })).toEqual({
      type: actionTypes.SUPPLIERS.SEARCH,
      payload: { myPayload: 'Test SEARCH Suppliers' },
    });
  });
});
