import { SuppliersAction } from './suppliers.interface';

export const actionTypes = {
  SUPPLIERS: {
    SET_ALL: 'SUPPLIERS.SET_ALL',
    SELECT: 'SUPPLIERS.SELECT',
    UNSELECT: 'SUPPLIERS.UNSELECT',
    CHANGE_PAGE: 'SUPPLIERS.CHANGE_PAGE',
    SEARCH: 'SUPPLIERS.SEARCH',
    FILTER_BY_REFERENCE: 'FILTER__BY_REFERENCE',
  },
};

export const setSuppliers = (payload: any): SuppliersAction =>
  ({
    type: actionTypes.SUPPLIERS.SET_ALL,
    payload,
  } as SuppliersAction);

export const selectSupplier = (payload: any): SuppliersAction =>
  ({
    type: actionTypes.SUPPLIERS.SELECT,
    payload,
  } as SuppliersAction);

export const unselectSupplier = (payload: any): SuppliersAction =>
  ({
    type: actionTypes.SUPPLIERS.UNSELECT,
    payload,
  } as SuppliersAction);

export const changePageOfSuppliersList = (payload: any): SuppliersAction =>
  ({
    type: actionTypes.SUPPLIERS.CHANGE_PAGE,
    payload,
  } as SuppliersAction);

export const searchForSuppliers = (payload: any): SuppliersAction => {
  return {
    type: actionTypes.SUPPLIERS.SEARCH,
    payload,
  } as SuppliersAction;
};

export const setSuppliersReferencedFilter = (payload: any): SuppliersAction => {
  return {
    type: actionTypes.SUPPLIERS.FILTER_BY_REFERENCE,
    payload,
  } as SuppliersAction;
};
