import * as effects from './tasks.effects';

import { actionTypes } from './tasks.actions';

describe('tasks.effects', () => {
  describe('setTasks effect', () => {
    it('should set the userTasks', () => {
      const payload = ['Task1', 'Task2'];
      const dispatch = jest.fn();

      effects.setTasksEffect(payload)(dispatch);
      expect(dispatch).toBeCalledTimes(1);
      expect(dispatch).toHaveBeenNthCalledWith(1, {
        payload: { userTasks: payload },
        type: actionTypes.TASKS.SET_ALL,
      });
    });
  });

  describe('setTask effect', () => {
    it('should set the activeTask', () => {
      const payload = 'This is an active task!';
      const dispatch = jest.fn();

      effects.setTaskEffect(payload)(dispatch);
      expect(dispatch).toBeCalledTimes(1);
      expect(dispatch).toHaveBeenNthCalledWith(1, {
        payload: { activeTask: payload },
        type: actionTypes.TASKS.SET,
      });
    });
  });

  describe('resetTaskEffect effect', () => {
    it('should reset activeTask to null', () => {
      const dispatch = jest.fn();
      effects.resetTaskEffect()(dispatch);
      expect(dispatch).toBeCalledTimes(1);
      expect(dispatch).toHaveBeenNthCalledWith(1, {
        payload: { activeTask: null },
        type: actionTypes.TASKS.RESET,
      });
    });
  });
});
