import { Reducer } from 'redux';
import { actionTypes } from './tasks.actions';
import { TasksAction, TasksState } from './tasks.interfaces';

const initialState = {
  userTasks: [],
  activeTask: null,
};

const reducer: Reducer<TasksState, TasksAction> = (state = initialState, action) => {
  switch (action.type) {
    case actionTypes.TASKS.SET:
      return {
        ...state,
        ...action.payload,
      };
    case actionTypes.TASKS.RESET:
      return {
        ...state,
        ...action.payload,
      };
    case actionTypes.TASKS.SET_ALL:
      return {
        ...state,
        ...action.payload,
      };
    default:
      return state;
  }
};

export default reducer;
