import { remove } from 'lodash';
import Mime from 'mime-type/with-db';

export const addFile = (acceptedFilesParam: any, setFilesParam: any, filesParam: any, handleChangeParam: any) => {
  handleChangeParam(...filesParam, ...acceptedFilesParam);
  setFilesParam([...filesParam, ...acceptedFilesParam]);
};

export const deleteFileFunc = (fileIndexInArray: number, setFilesParam: any, filesParam: any) => {
  const newFiles = remove(filesParam, (_file, index) => index !== fileIndexInArray);
  setFilesParam(newFiles);
};

export const trimFileExtension = (fileName: string) => fileName.replace(/\.[^/.]+$/, '');

export const generateFileRows = (
  filesParam: any,
  deleteFileParam: any,
  setFilesParam: any,
  filesDestination: string,
  generateFileTableRowFuncParam: any,
) => {
  let newFilesTableBody: any[] = [];

  Array.isArray(filesParam) &&
    filesParam.length > 0 &&
    filesParam.map((file: any, fileIndex: number) => {
      const fileRow = generateFileTableRowFuncParam(
        filesParam,
        deleteFileParam,
        setFilesParam,
        file,
        filesDestination,
        fileIndex,
      );
      newFilesTableBody.push(fileRow);
    });
  return newFilesTableBody;
};

export const acceptedFilesFunc = (droppedFilesParamArray: any) => {
  let acceptedFilesArray: any[] = [];

  droppedFilesParamArray.length > 0 &&
    droppedFilesParamArray.map((file: any) => {
      const fileType = file.type;
      const mimeExt = Mime.extension(`${fileType}`);

      let fileRow;
      if (typeof mimeExt!! !== 'undefined') {
        acceptedFilesArray.push(file);
      }
    });
  return acceptedFilesArray;
};

export const rejectedFilesFunc = (droppedFilesParamArray: any) => {
  let rejectedFilesArray: any[] = [];

  droppedFilesParamArray.length > 0 &&
    droppedFilesParamArray.map((file: any, i: number) => {
      const fileType = file.type;
      const mimeExt = Mime.extension(`${fileType}`);

      let fileRow;
      if (typeof mimeExt!! !== 'undefined') {
      } else {
        rejectedFilesArray.push(file);
      }
    });

  return rejectedFilesArray;
};
