import { labelsParserFunc } from './parse-labels';

describe('Parse intl object Received from back', () => {
  it('should return parsed object for ReactIntl', () => {
    const recivedObject = [
      {
        code: 'mifid',
        label: 'Market In Financial Instruments Directive (MIFID)',
        lang: 'EN',
        choices: [
          {
            code: 'NA',
            label: 'Not applicable',
          },
          {
            code: 'EXPOSED',
            label: 'Exposed',
          },
          {
            code: 'INIT',
            label: 'Initiated',
          },
          {
            code: 'BOTH',
            label: 'Exposed and Initiated',
          },
        ],
      },
      {
        code: 'mifid',
        label: 'Charte de déontologie (MIFID)',
        lang: 'FR',
        choices: [
          {
            code: 'NA',
            label: 'Non applicable',
          },
          {
            code: 'EXPOSED',
            label: 'Exposé',
          },
          {
            code: 'INIT',
            label: 'Initié',
          },
          {
            code: 'BOTH',
            label: 'Exposé et initié',
          },
        ],
      },
    ];
    const parsedObject = labelsParserFunc(recivedObject);
    expect(parsedObject).toEqual({
      en: {
        mifid: 'Market In Financial Instruments Directive (MIFID)',
        NA: 'Not applicable',
        EXPOSED: 'Exposed',
        INIT: 'Initiated',
        BOTH: 'Exposed and Initiated',
      },
      fr: {
        mifid: 'Charte de déontologie (MIFID)',
        NA: 'Non applicable',
        EXPOSED: 'Exposé',
        INIT: 'Initié',
        BOTH: 'Exposé et initié',
      },
    });
  });
});
