export default {
  prId: {
    type: 'inputTextOrTextarea',
    muiPropsCustomConf: {
      InputProps: {
        readOnly: true,
        disableUnderline: true,
      },
    },
    value: '',
    config: {
      length: 100,
      // maxLength 250
      // integrated into the specifications
    },
    touched: false,
    valid: true,
    validation: {},
    errorText: '',
    doNotSendToBack: true,
  },
  projectName: {
    type: 'inputTextOrTextarea',
    value: null,
    config: {
      length: 100,
      // maxLength 250
      // integrated into the specifications
    },
    muiPropsCustomConf: {
      variant: 'outlined',
      required: true,
    },
    touched: false,
    valid: false,
    validation: {
      required: true,
      integratedToSpecification: true,
    },
    errorText: '',
  },
  projectCode: {
    type: 'inputTextOrTextarea',
    value: null,
    config: {
      length: 50,
      // maxLength 250
    },
    muiPropsCustomConf: {
      variant: 'outlined',
    },
    touched: false,
    valid: true,
    validation: {},
    errorText: '',
    tooltip: {
      title: 'projectCodeTooltip',
    },
  },
  beneficiaryUserId: {
    type: 'autocomplete',
    apiToCall: 'People',
    hasManagementRule: true,
    value: null,
    config: {
      length: 50,
      // integrated into the specifications
    },
    suggestions: [],
    muiPropsCustomConf: {
      variant: 'outlined',
      required: true,
    },
    placeholder: 'startTyping',
    touched: false,
    valid: false,
    validation: {
      required: true,
      integratedToSpecification: true,
    },
    errorText: '',
  },
  projectEntityCode: {
    type: 'autocomplete',
    apiToCall: 'Sakkarah',
    disabled: true,
    value: null,
    config: {
      length: 50,
    },
    muiPropsCustomConf: {
      variant: 'outlined',
      required: true,
      disabled: true,
    },
    touched: false,
    valid: false,
    validation: {
      required: true,
    },
    errorText: '',
  },
  paymentEntityCode: {
    type: 'autocomplete',
    apiToCall: 'Sakkarah',
    value: null,
    config: {
      length: 50,
    },
    suggestions: [],
    muiPropsCustomConf: {
      variant: 'outlined',
      required: true,
    },
    placeholder: 'startTyping',
    touched: false,
    valid: false,
    validation: {
      required: true,
    },
    errorText: '',
  },
  budgeted: {
    type: 'radioButtons',
    value: null,
    config: {
      length: 50,
      choices: ['yes', 'no'],
    },
    muiPropsCustomConf: {
      required: true,
    },
    valid: false,
    validation: {
      required: true,
    },
    errorText: '',
  },
  amount: {
    type: 'inputTextOrTextarea',
    hasManagementRule: true,
    value: null,
    config: {
      length: 50,
      type: 'number',
    },
    muiPropsCustomConf: {
      variant: 'outlined',
      required: true,
    },
    adornment: {
      position: 'end',
      value: '€',
    },
    touched: false,
    valid: false,
    validation: {
      required: true,
      superior: 99,
    },
    errorText: '',
    tooltip: {
      title: 'amountTooltip',
    },
  },
  estimatedNbMandays: {
    type: 'inputTextOrTextarea',
    hasManagementRule: true,
    value: null,
    config: {
      length: 50,
      type: 'number',
    },
    muiPropsCustomConf: {
      variant: 'outlined',
    },
    touched: false,
    valid: true,
    validation: {},
    errorText: '',
  },
  dailyRate: {
    type: 'inputTextOrTextarea',
    value: null,
    placeholder: 'notAvailable',
    config: {
      length: 50,
      type: 'number',
    },
    muiPropsCustomConf: {
      variant: 'outlined',
      disabled: true,
    },
    touched: false,
    valid: true,
    validation: {},
    errorText: '',
  },
  contractNatureCode: {
    type: 'selectfield',
    hasManagementRule: true,
    value: null,
    config: {
      length: 50,
      // integrated into the specifications
    },
    muiPropsCustomConf: {
      variant: 'outlined',
      required: true,
    },
    touched: false,
    valid: false,
    validation: {
      required: true,
    },
    errorText: '',
  },
  contractId: {
    type: 'autocomplete',
    apiToCall: 'SH',
    hasManagementRule: true,
    show: false,
    value: null,
    config: {
      length: 50,
      // integrated into the specifications
    },
    muiPropsCustomConf: {
      variant: 'outlined',
      required: true,
    },
    touched: false,
    valid: true,
    validation: {},
    errorText: '',
    tooltip: {
      title: 'contractIdTooltip',
    },
  },
  extensionNumber: {
    type: 'inputTextOrTextarea',
    value: null,
    hasManagementRule: true,
    show: false,
    config: {
      length: 50,
      type: 'number',
    },
    muiPropsCustomConf: {
      variant: 'outlined',
      required: true,
      disabled: true,
    },
    touched: false,
    valid: true,
    validation: {},
    errorText: '',
  },
  extensionComments: {
    type: 'inputTextOrTextarea',
    show: false,
    value: null,
    config: {
      length: 100,
    },
    muiPropsCustomConf: {
      variant: 'outlined',
      required: true,
      multiline: true,
      rows: 3,
      rowsMax: 10,
    },
    touched: false,
    valid: true,
    validation: {},
    errorText: '',
    helperText: {
      content: 'extensionCommentsWarning',
      type: 'error',
      icon: 'warning',
    },
  },
  segmentNatureCode: {
    type: 'selectfield',
    hasManagementRule: true,
    value: null,
    config: {
      length: 50,
      // integrated into the specifications
    },
    muiPropsCustomConf: {
      variant: 'outlined',
      required: true,
    },
    touched: false,
    valid: false,
    validation: {
      required: true,
    },
    errorText: '',
  },
  assignmentTriggerCode: {
    type: 'selectfield',
    value: null,
    config: {
      length: 50,
    },
    muiPropsCustomConf: {
      variant: 'outlined',
      required: true,
    },
    touched: false,
    valid: false,
    validation: {
      required: true,
    },
    errorText: '',
  },
  mifidCode: {
    type: 'selectfield',
    value: null,
    config: {
      length: 50,
    },
    muiPropsCustomConf: {
      variant: 'outlined',
      required: true,
    },
    touched: false,
    valid: false,
    validation: {
      required: true,
    },
    errorText: '',
    tooltip: {
      title: 'mifidCodeTooltip',
    },
  },
  eosCode: {
    type: 'selectfield',
    value: null,
    config: {
      length: 50,
    },
    muiPropsCustomConf: {
      variant: 'outlined',
      required: true,
    },
    touched: false,
    valid: false,
    validation: {
      required: true,
    },
    errorText: '',
    tooltip: {
      title: 'eosCodeTooltip',
    },
  },
  segmentTypeCode: {
    type: 'selectfield',
    value: null,
    show: false,
    config: {
      length: 50,
    },
    muiPropsCustomConf: {
      variant: 'outlined',
      required: true,
    },
    touched: false,
    valid: true,
    validation: {},
    errorText: '',
    tooltip: {
      title: 'segmentTypeTooltip',
    },
  },
  externalAssistanceComments: {
    type: 'inputTextOrTextarea',
    value: null,
    config: {
      length: 100,
    },
    muiPropsCustomConf: {
      variant: 'outlined',
      required: true,
      multiline: true,
      rows: 3,
      rowsMax: 10,
    },
    touched: false,
    valid: false,
    validation: {
      required: true,
    },
    errorText: '',
  },
  supplierComments: {
    type: 'inputTextOrTextarea',
    value: null,
    config: {
      length: 100,
    },
    muiPropsCustomConf: {
      variant: 'outlined',
      required: true,
      multiline: true,
      rows: 3,
      rowsMax: 10,
    },
    show: false,
    touched: false,
    valid: false,
    validation: {
      required: true,
    },
    errorText: '',
    helperText: {
      content: 'selectingLeastThanThreeSupplier',
      type: 'error',
      icon: 'warning',
    },
  },
  suppliersIds: {
    type: 'inputTextOrTextarea',
    hasManagementRule: true,
    value: [],
    valid: true,
    validation: {},
    errorText: '',
  },
  contextComments: {
    type: 'richTextEditor',
    value: null,
    config: {
      length: 100,
    },
    touched: false,
    valid: false,
    validation: {
      required: true,
      integratedToSpecification: true,
    },
    errorText: '',
  },
  deliveryComments: {
    type: 'richTextEditor',
    value: null,
    config: {
      length: 100,
    },
    touched: false,
    valid: false,
    validation: {
      required: true,
      integratedToSpecification: true,
    },
    errorText: '',
  },
  locationComments: {
    type: 'richTextEditor',
    value: null,
    config: {
      length: 100,
    },
    touched: false,
    valid: false,
    validation: {
      required: true,
      integratedToSpecification: true,
    },
    errorText: '',
  },
  gdprEntrustedToProvider: {
    type: 'radioButtons',
    hasManagementRule: true,
    value: null,
    config: {
      length: 100,
      choices: ['yes', 'no'],
    },
    muiPropsCustomConf: {
      required: true,
    },
    valid: false,
    validation: {
      required: true,
    },
    errorText: '',
  },
  gdprConsultingProviders: {
    type: 'gdpr',
    value: [],
    config: {
      length: 100,
    },
    touched: false,
    valid: true,
    validation: {},
    errorText: '',
    show: false,
  },
  criteriaSelections: {
    type: 'selectionCriterias',
    value: [],
    config: {
      length: 100,
    },
    valid: false,
    validation: {
      criteriaSelection: true,
    },
    errorText: '',
  },
  internalResourcesComments: {
    type: 'richTextEditor',
    value: null,
    config: {
      length: 100,
    },
    touched: false,
    valid: true,
    validation: {},
    errorText: '',
  },
  expectedRoiComments: {
    type: 'richTextEditor',
    value: null,
    config: {
      length: 100,
    },
    touched: false,
    valid: true,
    validation: {},
    errorText: '',
  },
  risksComments: {
    type: 'richTextEditor',
    value: null,
    config: {
      length: 100,
    },
    touched: false,
    valid: true,
    validation: {},
    errorText: '',
  },
  supplierOfferReceptionDateTime: {
    type: 'datePicker',
    hasManagementRule: true,
    value: null,
    config: {
      length: 100,
      // maxLength 250
      // integrated into the specifications
    },
    muiPropsCustomConf: {
      variant: 'outlined',
      required: true,
    },
    dateConfig: {
      type: 'dateAndTime',
      minDate: '01/01/2019',
    },
    touched: false,
    valid: false,
    validation: {
      required: true,
      integratedToSpecification: true,
    },
    errorText: '',
  },
  supplierOralStartDate: {
    type: 'datePicker',
    value: null,
    hasManagementRule: true,
    config: {
      length: 50,
      // maxLength 250
      // integrated into the specifications
    },
    muiPropsCustomConf: {
      variant: 'outlined',
      required: true,
    },
    dateConfig: {
      type: 'date',
      minDate: '01/01/2019',
    },
    touched: false,
    valid: false,
    validation: {
      required: true,
      integratedToSpecification: true,
    },
    errorText: '',
  },
  supplierOralEndDate: {
    type: 'datePicker',
    value: null,
    hasManagementRule: true,
    config: {
      length: 50,
      // maxLength 250
      // integrated into the specifications
    },
    muiPropsCustomConf: {
      variant: 'outlined',
      required: true,
    },
    dateConfig: {
      type: 'date',
      minDate: '01/01/2019',
    },
    touched: false,
    valid: false,
    validation: {
      required: true,
      integratedToSpecification: true,
    },
    errorText: '',
  },
  estimatedDateSupplierSelection: {
    type: 'datePicker',
    hasManagementRule: true,
    value: null,
    config: {
      length: 50,
      // maxLength 250
      // integrated into the specifications
    },
    muiPropsCustomConf: {
      variant: 'outlined',
      required: true,
    },
    dateConfig: {
      type: 'date',
      minDate: '01/01/2019',
    },
    touched: false,
    valid: false,
    validation: {
      required: true,
      integratedToSpecification: true,
    },
    errorText: '',
  },
  estimatedContractSignatureDate: {
    type: 'datePicker',
    value: null,
    hasManagementRule: true,
    config: {
      length: 50,
      // maxLength 250
      // integrated into the specifications
    },
    muiPropsCustomConf: {
      variant: 'outlined',
      required: true,
    },
    dateConfig: {
      type: 'date',
      minDate: '01/01/2019',
    },
    touched: false,
    valid: false,
    validation: {
      required: true,
      integratedToSpecification: true,
    },
    errorText: '',
  },
  projectStartDate: {
    type: 'datePicker',
    hasManagementRule: true,
    value: null,
    config: {
      length: 50,
      // maxLength 250
      // integrated into the specifications
    },
    muiPropsCustomConf: {
      variant: 'outlined',
      required: true,
    },
    dateConfig: {
      type: 'date',
      minDate: '01/01/2019',
    },
    touched: false,
    valid: false,
    validation: {
      required: true,
      integratedToSpecification: true,
    },
    errorText: '',
  },
  projectEndDate: {
    type: 'datePicker',
    hasManagementRule: true,
    value: null,
    config: {
      length: 50,
      // maxLength 250
      // integrated into the specifications
    },
    muiPropsCustomConf: {
      variant: 'outlined',
      required: true,
    },
    dateConfig: {
      type: 'date',
      minDate: '01/01/2019',
    },
    touched: false,
    valid: false,
    validation: {
      required: true,
      integratedToSpecification: true,
    },
    errorText: '',
  },
  contactId: {
    type: 'autocomplete',
    apiToCall: 'People',
    value: null,
    config: {
      length: 50,
    },
    suggestions: [],
    muiPropsCustomConf: {
      variant: 'outlined',
      required: true,
    },
    placeholder: 'startTyping',
    touched: false,
    valid: false,
    validation: {
      required: true,
      integratedToSpecification: true,
    },
    errorText: '',
  },
  responseFormatComments: {
    type: 'richTextEditor',
    value: null,
    config: {
      length: 100,
    },
    touched: false,
    valid: false,
    validation: {
      required: true,
      integratedToSpecification: true,
    },
    errorText: '',
  },
  prFilesInternal: {
    type: 'fileUpload',
    doNotSendToBack: true,
    config: {
      length: 100,
      fileDestination: 'internal_document',
    },
    valid: true,
    validation: {},
  },
  prFilesExternal: {
    type: 'fileUpload',
    doNotSendToBack: true,
    config: {
      length: 100,
      fileDestination: 'external_document',
    },
    valid: true,
    validation: {},
  },
  prDownloadSpecification: {
    type: 'downloadSingleFile',
    doNotSendToBack: true,
    config: {
      length: 100,
    },
    validation: {},
  },
};
