export default {
  prId: {
    type: 'inputTextOrTextarea',
    muiPropsCustomConf: {
      InputProps: {
        readOnly: true,
        disableUnderline: true,
      },
    },
    value: '',
    config: {
      length: 100,
    },
    touched: false,
    valid: true,
    validation: {},
    errorText: '',
    doNotSendToBack: true,
  },
  projectName: {
    type: 'inputTextOrTextarea',
    readOnly: true,
    config: {
      length: 250,
    },
    validation: {},
    muiPropsCustomConf: {
      InputProps: {
        readOnly: true,
        disableUnderline: true,
      },
    },
  },
  projectCode: {
    type: 'inputTextOrTextarea',
    readOnly: true,
    config: {
      length: 250,
    },
    validation: {},
    muiPropsCustomConf: {
      InputProps: {
        readOnly: true,
        disableUnderline: true,
      },
    },
  },
  contractNatureCode: {
    type: 'inputTextOrTextarea',
    readOnly: true,
    config: {
      length: 250,
    },
    validation: {},
    muiPropsCustomConf: {
      InputProps: {
        readOnly: true,
        disableUnderline: true,
      },
    },
  },
  externalAssistanceComments: {
    type: 'inputTextOrTextarea',
    readOnly: true,
    config: {
      length: 250,
    },
    validation: {},
    muiPropsCustomConf: {
      multiline: true,
      rows: 3,
      rowsMax: 10,
      InputProps: {
        readOnly: true,
        disableUnderline: true,
      },
    },
  },
  beneficiaryUserId: {
    type: 'autocomplete',
    apiToCall: 'People',
    readOnly: true,
    config: {
      length: 250,
    },
    validation: {},
    muiPropsCustomConf: {
      InputProps: {
        readOnly: true,
        disableUnderline: true,
      },
    },
  },
  projectEntityCode: {
    type: 'autocomplete',
    apiToCall: 'Sakkarah',
    readOnly: true,
    config: {
      length: 250,
    },
    validation: {},
    muiPropsCustomConf: {
      InputProps: {
        readOnly: true,
        disableUnderline: true,
      },
    },
  },
  paymentEntityCode: {
    type: 'autocomplete',
    apiToCall: 'Sakkarah',
    readOnly: true,
    config: {
      length: 250,
    },
    validation: {},
    muiPropsCustomConf: {
      InputProps: {
        readOnly: true,
        disableUnderline: true,
      },
    },
  },
  contactId: {
    type: 'autocomplete',
    apiToCall: 'People',
    readOnly: true,
    config: {
      length: 250,
    },
    validation: {},
    muiPropsCustomConf: {
      InputProps: {
        readOnly: true,
        disableUnderline: true,
      },
    },
  },
  contractId: {
    type: 'autocomplete',
    apiToCall: 'SH',
    readOnly: true,
    config: {
      length: 250,
    },
    validation: {},
    muiPropsCustomConf: {
      InputProps: {
        readOnly: true,
        disableUnderline: true,
      },
    },
  },
  budgeted: {
    type: 'radioButtons',
    readOnly: true,
    config: {
      length: 50,
      choices: ['yes', 'no'],
    },
    validation: {},
    muiPropsCustomConf: {
      disabled: true,
    },
  },
  amount: {
    type: 'inputTextOrTextarea',
    readOnly: true,
    config: {
      length: 250,
    },
    validation: {},
    muiPropsCustomConf: {
      InputProps: {
        readOnly: true,
        disableUnderline: true,
      },
    },
  },
  projectStartDate: {
    type: 'datePicker',
    readOnly: true,
    config: {
      length: 250,
    },
    validation: {},
    dateConfig: {
      type: 'date',
      readOnly: true,
    },
    muiPropsCustomConf: {
      InputProps: {
        readOnly: true,
        disableUnderline: true,
      },
    },
  },
  projectEndDate: {
    type: 'datePicker',
    readOnly: true,
    config: {
      length: 250,
    },
    validation: {},
    dateConfig: {
      type: 'date',
      readOnly: true,
    },
    muiPropsCustomConf: {
      InputProps: {
        readOnly: true,
        disableUnderline: true,
      },
    },
  },
  estimatedDateSupplierSelection: {
    type: 'datePicker',
    readOnly: true,
    config: {
      length: 250,
    },
    validation: {},
    dateConfig: {
      type: 'date',
      readOnly: true,
    },
    muiPropsCustomConf: {
      InputProps: {
        readOnly: true,
        disableUnderline: true,
      },
    },
  },
  estimatedContractSignatureDate: {
    type: 'datePicker',
    readOnly: true,
    config: {
      length: 250,
    },
    validation: {},
    dateConfig: {
      type: 'date',
      readOnly: true,
    },
    muiPropsCustomConf: {
      InputProps: {
        readOnly: true,
        disableUnderline: true,
      },
    },
  },
  supplierOfferReceptionDateTime: {
    type: 'datePicker',
    readOnly: true,
    config: {
      length: 250,
    },
    validation: {},
    dateConfig: {
      type: 'date',
      readOnly: true,
    },
    muiPropsCustomConf: {
      InputProps: {
        readOnly: true,
        disableUnderline: true,
      },
    },
  },
  supplierOralStartDate: {
    type: 'datePicker',
    readOnly: true,
    config: {
      length: 250,
    },
    validation: {},
    dateConfig: {
      type: 'date',
      readOnly: true,
    },
    muiPropsCustomConf: {
      InputProps: {
        readOnly: true,
        disableUnderline: true,
      },
    },
  },
  supplierOralEndDate: {
    type: 'datePicker',
    readOnly: true,
    config: {
      length: 250,
    },
    validation: {},
    dateConfig: {
      type: 'date',
      readOnly: true,
    },
    muiPropsCustomConf: {
      InputProps: {
        readOnly: true,
        disableUnderline: true,
      },
    },
  },
  estimatedNbMandays: {
    type: 'inputTextOrTextarea',
    hasManagementRule: true,
    value: null,
    config: {
      length: 50,
      type: 'number',
    },
    muiPropsCustomConf: {
      variant: 'outlined',
    },
    touched: false,
    valid: true,
    validation: {},
    errorText: '',
  },
  dailyRate: {
    type: 'inputTextOrTextarea',
    value: null,
    placeholder: 'notAvailable',
    config: {
      length: 50,
      type: 'number',
    },
    muiPropsCustomConf: {
      variant: 'outlined',
      disabled: true,
    },
    touched: false,
    valid: true,
    validation: {},
    errorText: '',
  },
  segmentNatureCode: {
    type: 'selectfield',
    value: null,
    config: {
      length: 50,
      choices: [
        'segmentNatureCode1',
        'segmentNatureCode2',
        'segmentNatureCode3',
        'segmentNatureCode4',
        'segmentNatureCode5',
      ],
    },
    muiPropsCustomConf: {
      variant: 'outlined',
      required: true,
    },
    touched: false,
    valid: false,
    validation: {
      required: true,
    },
    errorText: '',
  },
  assignmentTriggerCode: {
    type: 'selectfield',
    value: null,
    config: {
      length: 50,
      choices: [
        'assignmentTriggerCode1',
        'assignmentTriggerCode2',
        'assignmentTriggerCode3',
        'assignmentTriggerCode4',
        'assignmentTriggerCode5',
      ],
    },
    muiPropsCustomConf: {
      variant: 'outlined',
      required: true,
    },
    touched: false,
    valid: false,
    validation: {
      required: true,
    },
    errorText: '',
  },
  mifidCode: {
    type: 'selectfield',
    value: null,
    config: {
      length: 50,
      choices: ['mifidCode1', 'mifidCode2', 'mifidCode3', 'mifidCode4'],
    },
    muiPropsCustomConf: {
      variant: 'outlined',
      required: true,
    },
    touched: false,
    valid: false,
    validation: {
      required: true,
    },
    errorText: '',
    tooltip: {
      title: 'mifidCodeTooltip',
    },
  },
  eosCode: {
    type: 'selectfield',
    value: null,
    config: {
      length: 50,
      choices: ['eosCode1', 'eosCode2', 'eosCode3'],
    },
    muiPropsCustomConf: {
      variant: 'outlined',
      required: true,
    },
    touched: false,
    valid: false,
    validation: {
      required: true,
    },
    errorText: '',
    tooltip: {
      title: 'eosCodeTooltip',
    },
  },
  extensionNumber: {
    type: 'inputTextOrTextarea',
    value: null,
    config: {
      length: 50,
      type: 'number',
    },
    muiPropsCustomConf: {
      variant: 'outlined',
      required: true,
      disabled: true,
    },
    touched: false,
    valid: false,
    validation: {},
    errorText: '',
  },
  supplierComments: {
    type: 'inputTextOrTextarea',
    value: null,
    config: {
      length: 100,
    },
    muiPropsCustomConf: {
      variant: 'outlined',
      required: true,
      multiline: true,
      rows: 3,
      rowsMax: 10,
    },
    touched: false,
    valid: false,
    validation: {
      required: true,
    },
    errorText: '',
  },
  contextComments: {
    type: 'richTextEditor',
    value: null,
    config: {
      length: 100,
    },
    touched: false,
    valid: false,
    validation: {
      required: true,
    },
    errorText: '',
  },
  deliveryComments: {
    type: 'richTextEditor',
    value: null,
    config: {
      length: 100,
    },
    touched: false,
    valid: false,
    validation: {
      required: true,
    },
    errorText: '',
  },
  locationComments: {
    type: 'richTextEditor',
    value: null,
    config: {
      length: 100,
    },
    touched: false,
    valid: false,
    validation: {
      required: true,
    },
    errorText: '',
  },
  gdprEntrustedToProvider: {
    type: 'radioButtons',
    hasManagementRule: true,
    value: null,
    config: {
      length: 100,
      choices: ['yes', 'no'],
    },
    muiPropsCustomConf: {
      required: true,
    },
    valid: false,
    validation: {
      required: true,
    },
    errorText: '',
  },
  gdprConsultingProviders: {
    type: 'gdpr',
    value: [],
    config: {
      length: 100,
    },
    touched: false,
    valid: true,
    validation: {},
    errorText: '',
    show: false,
  },
  internalResourcesComments: {
    type: 'richTextEditor',
    value: null,
    config: {
      length: 100,
    },
    touched: false,
    valid: true,
    validation: {},
    errorText: '',
  },
  expectedRoiComments: {
    type: 'richTextEditor',
    value: null,
    config: {
      length: 100,
    },
    touched: false,
    valid: true,
    validation: {},
    errorText: '',
  },
  risksComments: {
    type: 'richTextEditor',
    value: null,
    config: {
      length: 100,
    },
    touched: false,
    valid: true,
    validation: {},
    errorText: '',
  },
  responseFormatComments: {
    type: 'richTextEditor',
    value: null,
    config: {
      length: 100,
    },
    touched: false,
    valid: false,
    validation: {
      required: true,
    },
    errorText: '',
  },
  prFilesInternal: {
    type: 'fileUpload',
    config: {
      length: 100,
      fileDestination: 'internal_document',
    },
    validation: {},
  },
  prFilesExternal: {
    type: 'fileUpload',
    config: {
      length: 100,
      fileDestination: 'external_document',
    },
    validation: {},
  },
};
