export default {
  prDescriptionSection: {
    specificationHelperText: {
      position: 'right',
      content: 'fieldsUsedForSpecification',
    },
    subsections: {
      generalInformationSubsection: {
        specificationHelperText: null,
        helperText: null,
        inputs: [
          'prId',
          'projectName',
          'projectCode',
          'beneficiaryUserId',
          'projectEntityCode',
          'paymentEntityCode',
          'budgeted',
          'amount',
          'estimatedNbMandays',
          'dailyRate',
          'contractNatureCode',
          'contractId',
          'extensionNumber',
          'extensionComments',
          'segmentNatureCode',
          'assignmentTriggerCode',
          'mifidCode',
          'eosCode',
          'segmentTypeCode',
          'externalAssistanceComments',
        ],
      },
      needsDescription: {
        specificationHelperText: {
          position: 'left',
          content: 'ingratedIntoTheSpecifiactions',
        },
        helperText: null,
        inputs: [
          'contextComments',
          'deliveryComments',
          'locationComments',
          'gdprEntrustedToProvider',
          'gdprConsultingProviders',
        ],
      },
      complementaryInformation: {
        specificationHelperText: null,
        helperText: null,
        inputs: ['internalResourcesComments', 'expectedRoiComments', 'risksComments'],
      },
    },
  },
  prConsultationRules: {
    specificationHelperText: {
      position: 'right',
      content: 'fieldsUsedForSpecification',
    },
    subsections: {
      planning: {
        specificationHelperText: {
          position: 'left',
          content: 'ingratedIntoTheSpecifiactions',
        },
        helperText: {
          content: 'planning',
        },
        inputs: [
          'supplierOfferReceptionDateTime',
          'supplierOralStartDate',
          'supplierOralEndDate',
          'estimatedDateSupplierSelection',
          'estimatedContractSignatureDate',
          'projectStartDate',
          'projectEndDate',
        ],
      },
      selectionCriteria: {
        specificationHelperText: {
          position: 'left',
          content: 'ingratedIntoTheSpecifiactions',
        },
        helperText: {
          content: 'selectionCriteria',
        },
        inputs: ['criteriaSelections'],
      },
      contactAndResponse: {
        specificationHelperText: {
          position: 'left',
          content: 'ingratedIntoTheSpecifiactions',
        },
        helperText: null,
        inputs: ['contactId', 'responseFormatComments'],
      },
    },
  },
  prFileUploadSection: {
    specificationHelperText: null,
    helperText: null,
    subsections: {
      prFileUploadSubsectionInternal: {
        specificationHelperText: null,
        helperText: {
          content: 'fileUpload',
        },
        inputs: ['prFilesInternal'],
      },
      prFileUploadSubsectionExternal: {
        specificationHelperText: null,
        helperText: {
          content: 'fileUpload',
        },
        inputs: ['prFilesExternal'],
      },
    },
  },
  prSpecificationSection: {
    shouldDisplayValidStyle: true,
    specificationHelperText: null,
    helperText: null,
    subsections: {
      prSpecificationSubsection: {
        hideTitle: true,
        specificationHelperText: null,
        helperText: null,
        inputs: ['prDownloadSpecification'],
      },
    },
  },
};
