import { ThemeOptions } from '@material-ui/core/styles/createMuiTheme';
// import colors from './colors';

const theme: ThemeOptions = {
  palette: {
    common: { white: '#fff', black: 'rgba(0, 0, 0, 1)' },
    colors: {
      socgenred: {
        main: '#E60028',
      },
      saphirblue: {
        main: '#23558C',
      },
      success: {
        main: '#35BD5B',
        light: '#BCF7CD',
      },
      info: {
        main: '#009BCD',
        light: '#B2E1F0',
      },
      warning: {
        main: '#F17100',
        light: '#FFD6B0',
      },
      danger: {
        main: '#B9292D',
        light: '#F7B2BE',
      },
      disclaimer: {
        main: '#CCCCCC',
      },
      //
      brickred: {
        main: '#dd4e4e',
        dark: '#d63a3a',
      },
      grapefruit: {
        main: '#ED5565',
        dark: '#DA4453',
      },
      bittersweet: {
        main: '#FC6E51',
        dark: '#E9573F',
      },
      sunflower: {
        main: '#FFCE54',
        dark: '#F6BB42',
      },
      grass: {
        main: '#A0D468',
        dark: '#8CC152',
      },
      mint: {
        main: '#48CFAD',
        dark: '#37BC9B',
      },
      aqua: {
        main: '#4FC1E9',
        dark: '#3BAFDA',
      },
      bluejeans: {
        main: '#5D9CEC',
        dark: '#4A89DC',
      },
      lavender: {
        main: '#AC92EC',
        dark: '#967ADC',
      },
      pinkrose: {
        main: '#EC87C0',
        dark: '#D770AD',
      },
      lightgrey: {
        main: '#F5F7FA',
        dark: '#E6E9ED',
      },
      // mediumgrey: {
      //   main: '#CCD1D9',
      //   dark: '#AAB2BD',
      // },
      darkgrey: {
        main: '#656D78',
        dark: '#434A54',
      },
      black: {
        main: '#000000',
        dark: '#000000',
      },
      white: {
        main: '#FFFFFF',
        dark: '#FFFFFF',
      },
    },
  },
  typography: {
    useNextVariants: true,
    fontWeightLight: 100,
    fontWeightBold: 700,
    fontFamily: [
      'Source Sans Pro',
      '-apple-system',
      'BlinkMacSystemFont',
      '"Segoe UI"',
      'Roboto',
      '"Helvetica Neue"',
      'Arial',
      'sans-serif',
      '"Apple Color Emoji"',
      '"Segoe UI Emoji"',
      '"Segoe UI Symbol"',
    ].join(','),
    code: {
      fontFamily: 'Consolas, Monaco, "Andale Mono", "Ubuntu Mono", monospace',
      fontSize: '13px',
    },
    title: {
      fontSize: '20px',
      fontWeight: 700,
    },
    headline: {
      fontSize: '24px',
      fontWeight: 700,
    },
    h3: {
      fontSize: '28px',
      fontWeight: 300,
      color: 'rgba(0,0,0,.85)',
    },
    h2: {
      fontSize: '37px',
      fontWeight: 500,
      color: 'rgba(0,0,0,.85)',
    },
    h1: {
      fontSize: '50px',
      fontWeight: 300,
      color: 'rgba(0,0,0,.85)',
    },
  },
  // overrides: {
  //   MuiTypography: {
  //     colorSuccess: {
  //       color: colors.success.main,
  //     },
  //     colorWarning: {
  //       color: colors.warning.main,
  //     },
  //     colorDanger: {
  //       color: colors.danger.main,
  //     },
  //     colorInfo: {
  //       color: colors.info.main,
  //     },
  //     colorDisclaimer: {
  //       color: colors.disclaimer.main,
  //     },
  //   },
  // },
};

export default theme;
