import { Theme as MuiTheme } from '@material-ui/core';
import { CSSProperties } from 'jss/css';

export { default as lightTheme } from './light-theme';

declare module '@material-ui/core/Typography' {
  type TypographyClassKey = 'colorSuccess' | 'colorWarning' | 'colorDanger' | 'colorInfo' | 'colorDisclaimer';
}

declare module '@material-ui/core/styles/createTypography' {
  interface TypographyOptions extends Partial<Record<ThemeStyle | 'code', TypographyStyleOptions> & FontStyleOptions> {}

  // interface TypographyOptions extends Record<ThemeStyle | 'code', TypographyStyle>, FontStyle, TypographyUtils {}
  interface Typography extends Record<ThemeStyle | 'code', TypographyStyle>, FontStyle, TypographyUtils {}

  interface FontStyle
    extends Required<{
      fontWeightBold: CSSProperties['fontWeight'];
    }> {}
}

declare module '@material-ui/core/styles/createPalette' {
  interface Palette {
    colors: {
      socgenred: SimplePaletteColorOptions;
      saphirblue: SimplePaletteColorOptions;
      success: SimplePaletteColorOptions;
      info: SimplePaletteColorOptions;
      warning: SimplePaletteColorOptions;
      danger: SimplePaletteColorOptions;
      disclaimer: SimplePaletteColorOptions;
      //
      brickred: SimplePaletteColorOptions;
      grapefruit: SimplePaletteColorOptions;
      bittersweet: SimplePaletteColorOptions;
      sunflower: SimplePaletteColorOptions;
      grass: SimplePaletteColorOptions;
      mint: SimplePaletteColorOptions;
      aqua: SimplePaletteColorOptions;
      bluejeans: SimplePaletteColorOptions;
      lavender: SimplePaletteColorOptions;
      pinkrose: SimplePaletteColorOptions;
      lightgrey: SimplePaletteColorOptions;
      // mediumgrey: SimplePaletteColorOptions;
      darkgrey: SimplePaletteColorOptions;
      black: SimplePaletteColorOptions;
      white: SimplePaletteColorOptions;
    };
  }

  interface PaletteOptions {
    colors?: {
      socgenred: SimplePaletteColorOptions;
      saphirblue: SimplePaletteColorOptions;
      success: SimplePaletteColorOptions;
      info: SimplePaletteColorOptions;
      warning: SimplePaletteColorOptions;
      danger: SimplePaletteColorOptions;
      disclaimer: SimplePaletteColorOptions;
      //
      brickred: SimplePaletteColorOptions;
      grapefruit: SimplePaletteColorOptions;
      bittersweet: SimplePaletteColorOptions;
      sunflower: SimplePaletteColorOptions;
      grass: SimplePaletteColorOptions;
      mint: SimplePaletteColorOptions;
      aqua: SimplePaletteColorOptions;
      bluejeans: SimplePaletteColorOptions;
      lavender: SimplePaletteColorOptions;
      pinkrose: SimplePaletteColorOptions;
      lightgrey: SimplePaletteColorOptions;
      // mediumgrey: SimplePaletteColorOptions;
      darkgrey: SimplePaletteColorOptions;
      black: SimplePaletteColorOptions;
      white: SimplePaletteColorOptions;
    };
  }
}

export interface Theme extends MuiTheme {}
